const { Tools } = WeaverMobile;

//人员TOT查看列表
const  main_list = params => {
  const options = {
    url: '/api/cube/restful/interface/getModeDataPageList/tot_main_list',
    method:'POST',
    params
  }
  return Tools.callApi(options);
};

//人员TOT进展
const  jz_list = params => {
  const options = {
    url: '/api/cube/restful/interface/getModeDataPageList/tot_jz_list',
    method:'POST',
    params
  }
  return Tools.callApi(options);
};

//人员TOT骨牌
const  gp_list = params => {
  const options = {
    url: '/api/cube/restful/interface/getModeDataPageList/tot_gp_list',
    method:'POST',
    params
  }
  return Tools.callApi(options);
};

//获取人员TOT留言
const  getCommentByMainID = params => {
  const options = {
    url: '/api/cube/restful/interface/getModeDataPageList/tot_getCommentByMainID',
    method:'POST',
    params
  }
  return Tools.callApi(options);
};

//TOT 留言新增更新
const  comment = params => {
  const options = {
    url: '/api/cube/restful/interface/saveOrUpdateModeData/tot_comment',
    method:'POST',
    params
  }
  return Tools.callApi(options);
};

//获取标签基础数据
const  getLabel = params => {
  const options = {
    url: '/api/cube/restful/interface/getModeDataPageList/tot_getLabel',
    method:'POST',
    params
  }
  return Tools.callApi(options);
};

//根据员工号获取人员信息
const  getEmpInfoByEmpID = params => {
  const options = {
    url: '/api/cube/restful/interface/getModeDataPageList/tot_getEmpInfoByEmpID',
    method:'POST',
    params
  }
  return Tools.callApi(options);
};




const API = {
  main_list,
  jz_list,
  gp_list,
  getCommentByMainID,
  comment,
  getLabel,
  getEmpInfoByEmpID
}



ecodeSDK.exp(API);





