"use strict";

var _dec, _class;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Tabs = _WeaverMobile.Tabs,
    Badge = _WeaverMobile.Badge;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var AgreeItem = Checkbox.AgreeItem;
var Item = List.Item;

var _ecodeSDK$imp = ecodeSDK.imp(util),
    toChinesNum = _ecodeSDK$imp.toChinesNum;

var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var TotOnline = (_dec = inject("totOnlineStore"), withRouter(_class = _dec(_class = observer(_class =
/*#__PURE__*/
function (_React$Component) {
  _inherits(TotOnline, _React$Component);

  function TotOnline(props) {
    var _this;

    _classCallCheck(this, TotOnline);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(TotOnline).call(this, props));
    _this.state = {
      currentValue: {},
      showMoreData1: false
    };
    _this.totEdit = _this.totEdit.bind(_assertThisInitialized(_this));
    _this.showMoreData = _this.showMoreData.bind(_assertThisInitialized(_this));
    _this.hideMoreData = _this.hideMoreData.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(TotOnline, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = 'TOT在线';
      var totOnlineStore = this.props.totOnlineStore;
      totOnlineStore.initData();
      var getLabel = totOnlineStore.getLabel;
      getLabel();
    }
  }, {
    key: "totEdit",
    value: function totEdit() {
      location.href = "/spa/custom/static4mobile/index.html#/cs/app/992a988e2cee4834a5a850adb091d112_TotEdit?em_auth_userid=273381";
    }
  }, {
    key: "showMoreData",
    value: function showMoreData() {
      this.setState({
        showMoreData1: true
      });
    }
  }, {
    key: "hideMoreData",
    value: function hideMoreData() {
      this.setState({
        showMoreData1: false
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _ecodeSDK$imp2 = ecodeSDK.imp(util),
          renderNoright = _ecodeSDK$imp2.renderNoright,
          renderLoading = _ecodeSDK$imp2.renderLoading;

      var totOnlineStore = this.props.totOnlineStore;
      var loading = totOnlineStore.loading,
          hasRight = totOnlineStore.hasRight,
          mainList = totOnlineStore.mainList,
          gpList = totOnlineStore.gpList,
          jzList = totOnlineStore.jzList,
          lyList = totOnlineStore.lyList,
          onlineData = totOnlineStore.onlineData,
          empData = totOnlineStore.empData; // 从后台取数据 和 方法

      console.log(444444, Array.from(mainList));

      var _ref = Array.from(mainList).length && Array.from(mainList)[0],
          _ref$mainTable = _ref.mainTable,
          mainTable = _ref$mainTable === void 0 ? {} : _ref$mainTable;

      var _ref2 = Object.keys(mainTable).length && mainTable,
          _ref2$bqmc = _ref2.bqmc,
          bqmc = _ref2$bqmc === void 0 ? '' : _ref2$bqmc,
          _ref2$tot = _ref2.tot,
          tot = _ref2$tot === void 0 ? '' : _ref2$tot,
          _ref2$yl = _ref2.yl,
          yl = _ref2$yl === void 0 ? '' : _ref2$yl;

      var _jzList$cg = jzList.cg,
          cg = _jzList$cg === void 0 ? '' : _jzList$cg,
          _jzList$xybjh = jzList.xybjh,
          xybjh = _jzList$xybjh === void 0 ? '' : _jzList$xybjh,
          _jzList$knjsk = jzList.knjsk,
          knjsk = _jzList$knjsk === void 0 ? '' : _jzList$knjsk,
          _jzList$cjsj = jzList.cjsj,
          cjsj = _jzList$cjsj === void 0 ? '' : _jzList$cjsj,
          _jzList$fj = jzList.fj,
          fj = _jzList$fj === void 0 ? '' : _jzList$fj;
      var bqmcList = bqmc.split(',');
      var _empData$JOBTITLENAME = empData.JOBTITLENAME,
          JOBTITLENAME = _empData$JOBTITLENAME === void 0 ? '' : _empData$JOBTITLENAME,
          _empData$LASTNAME = empData.LASTNAME,
          LASTNAME = _empData$LASTNAME === void 0 ? '' : _empData$LASTNAME,
          _empData$avatar = empData.avatar,
          avatar = _empData$avatar === void 0 ? '' : _empData$avatar,
          _empData$empID = empData.empID,
          empID = _empData$empID === void 0 ? '' : _empData$empID;
      var currentValue = this.state.currentValue;

      if (!hasRight && !loading) {
        // 无权限处理
        return renderNoright();
      }

      var gpListArr = Array.from(gpList);
      gpListArr.forEach(function (item) {
        item.title = React.createElement(Badge, {
          className: item.mainTable.wczt == '已完成' ? 'tabTitle' : item.mainTable.wczt == '进行中' ? 'tabTitleB' : 'tabTitleC'
        }, React.createElement("div", null, React.createElement("img", {
          src: item.mainTable.wczt == '未开始' ? '${appRes}/unStarted.png' : item.mainTable.wczt == '进行中' ? '${appRes}/pending.png' : '${appRes}/finished.png'
        })), React.createElement("div", null, item.mainTable.gpmc));
      });
      return React.createElement("div", {
        key: "totOnlineRoutePage",
        className: "totonline-route-layout"
      }, React.createElement("div", {
        className: "totline-content-container",
        style: {
          height: '100vh'
        }
      }, React.createElement("div", {
        className: "wrapper"
      }, React.createElement("div", {
        className: "profile",
        style: {
          flex: 1.4
        }
      }, " ", React.createElement("img", {
        src: avatar
      }), " "), React.createElement("div", {
        style: {
          flex: 1.9
        }
      }, React.createElement("div", null, React.createElement("div", null, LASTNAME), React.createElement("div", null, "\u770B\u770BTA\u7684JD")), React.createElement("div", null, JOBTITLENAME)), React.createElement("div", {
        className: "edit"
      }, React.createElement("div", {
        onClick: this.totEdit
      }, React.createElement("img", {
        src: "${appRes}/edit.png"
      }), "\u7F16\u8F91"))), !!mainList.length && React.createElement("div", {
        className: "contentWrapper"
      }, React.createElement("div", {
        className: "content"
      }, React.createElement("div", null, "TOT"), React.createElement("div", null, tot)), React.createElement("div", {
        className: "icon"
      }, bqmcList.map(function (value) {
        return React.createElement("div", null, value);
      })), React.createElement("div", {
        className: "content"
      }, React.createElement("div", null, "\u6708\u4EAE"), React.createElement("div", null, yl)), React.createElement("div", {
        className: "guPai"
      }, React.createElement("div", {
        className: "title"
      }, "\u9AA8\u724C"), React.createElement(Tabs, {
        tabs: gpListArr // initialPage={0}
        ,
        usePaged: true,
        onTabClick: function onTabClick(tab, index) {
          _this2.setState({
            currentValue: tab
          });
        }
      }, gpListArr.map(function (value, index) {
        return React.createElement("div", {
          style: {
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'center',
            height: '150px',
            backgroundColor: '#fff'
          }
        }, React.createElement("div", {
          className: "tabContent"
        }, React.createElement("div", null, React.createElement("div", null, "\u9AA8\u724C", toChinesNum(index + 1)), React.createElement("div", null, value.mainTable.gpmc)), React.createElement("div", null, React.createElement("div", null, "\u5B8C\u6210\u65F6\u95F4"), React.createElement("div", null, value.mainTable.yjwcsj)), React.createElement("div", null, React.createElement("div", null, "\u52A8\u4F5C"), React.createElement("div", null, value.mainTable.gjdz))));
      }))), React.createElement("div", {
        className: "jinZhan"
      }, React.createElement("div", {
        style: {
          display: 'flex',
          width: '94%',
          margin: '0 auto',
          justifyContent: 'space-between',
          height: '40px',
          lineHeight: '40px'
        }
      }, React.createElement("div", {
        style: {
          color: 'rgba(52, 124, 175, 1)',
          fontSize: '14px'
        }
      }, "\u672C\u5468\u8FDB\u5C55"), React.createElement("div", {
        style: {
          color: 'rgba(154, 154, 154, 1)'
        }
      }, cjsj)), React.createElement("div", {
        className: "titleContent"
      }, cg), React.createElement("div", {
        className: "title"
      }, "\u4E0B\u5468\u8BA1\u5212"), React.createElement("div", {
        className: "titleContent"
      }, xybjh), React.createElement("div", {
        className: "title"
      }, "\u5F53\u524D\u7684\u56F0\u96BE\u53CA\u601D\u8003"), React.createElement("div", {
        className: "titleContent"
      }, knjsk), React.createElement("div", {
        className: "title"
      }, "\u9644\u4EF6"), React.createElement("div", {
        className: "titleContent"
      }, fj)), React.createElement("div", {
        className: "liuYan"
      }, React.createElement("div", {
        className: "title"
      }, "\u7559\u8A00"), lyList.map(function (value, index) {
        if (index >= 5 && _this2.state.showMoreData1 || index >= 0 && index <= 4) {
          return React.createElement("div", {
            style: {
              display: 'flex',
              margin: '0 auto',
              width: '94%',
              marginBottom: 20
            }
          }, React.createElement("div", null, React.createElement("div", null, React.createElement("img", {
            src: value.img
          }))), React.createElement("div", {
            style: {
              marginLeft: 10
            }
          }, React.createElement("div", {
            style: {
              display: 'flex',
              color: 'rgba(138, 138, 138, 1)',
              fontSize: 13,
              lineHeight: '21px'
            }
          }, React.createElement("div", null, value.str1), React.createElement("div", {
            style: {
              marginLeft: 15
            }
          }, value.str2, "-", value.str3), React.createElement("div", {
            style: {
              position: 'absolute',
              right: 20
            }
          }, value.mainTable.lysj)), React.createElement("div", {
            style: {
              color: 'rgba(108, 108, 108, 1)',
              fontSize: 14,
              lineHeight: '21px'
            }
          }, value.mainTable.lynr)));
        }
      }), lyList.length > 3 && !this.state.showMoreData1 && React.createElement("div", {
        style: {
          color: 'rgba(151, 151, 151, 1)',
          fontSize: 15,
          margin: '0 auto',
          width: '94%'
        },
        onClick: this.showMoreData
      }, "\u67E5\u770B\u5168\u90E8", lyList.length, "\u6761\u8BC4\u8BBA"), lyList.length > 3 && this.state.showMoreData1 && React.createElement("div", {
        style: {
          color: 'rgba(151, 151, 151, 1)',
          fontSize: 15,
          margin: '0 auto',
          width: '94%'
        },
        onClick: this.hideMoreData
      }, "\u6536\u8D77\u8BC4\u8BBA")), React.createElement("div", {
        className: "publish"
      }, React.createElement("div", {
        style: {
          display: 'flex',
          margin: '0 auto',
          width: '94%',
          alignItems: 'center'
        }
      }, React.createElement("div", null, React.createElement("img", {
        src: "${appRes}/liuyanPng.png"
      })), React.createElement("div", {
        className: "send"
      }, React.createElement("input", null), React.createElement("div", {
        style: {
          color: "rgba(56, 117, 198, 1)",
          fontSize: 16,
          margin: '0 18px'
        }
      }, "\u53D1\u9001")))), React.createElement("div", {
        style: {
          height: 40
        }
      })), mainList && !mainList.length && React.createElement("div", {
        style: {
          display: 'flex',
          justifyContent: 'center'
        }
      }, React.createElement("img", {
        src: "${appRes}/noData.png",
        style: {
          width: 283,
          height: 283,
          marginTop: 100
        }
      }))));
    }
  }]);

  return TotOnline;
}(React.Component)) || _class) || _class) || _class);
ecodeSDK.exp(TotOnline);