"use strict";

var _class, _descriptor, _descriptor2, _descriptor3, _descriptor4, _descriptor5, _descriptor6, _descriptor7, _descriptor8, _descriptor9, _descriptor10, _descriptor11, _temp;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _initializerDefineProperty(target, property, descriptor, context) { if (!descriptor) return; Object.defineProperty(target, property, { enumerable: descriptor.enumerable, configurable: descriptor.configurable, writable: descriptor.writable, value: descriptor.initializer ? descriptor.initializer.call(context) : void 0 }); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) { var desc = {}; Object.keys(descriptor).forEach(function (key) { desc[key] = descriptor[key]; }); desc.enumerable = !!desc.enumerable; desc.configurable = !!desc.configurable; if ('value' in desc || desc.initializer) { desc.writable = true; } desc = decorators.slice().reverse().reduce(function (desc, decorator) { return decorator(target, property, desc) || desc; }, desc); if (context && desc.initializer !== void 0) { desc.value = desc.initializer ? desc.initializer.call(context) : void 0; desc.initializer = undefined; } if (desc.initializer === void 0) { Object.defineProperty(target, property, desc); desc = null; } return desc; }

function _initializerWarningHelper(descriptor, context) { throw new Error('Decorating class property failed. Please ensure that ' + 'proposal-class-properties is enabled and set to use loose mode. ' + 'To use proposal-class-properties in spec mode with decorators, wait for ' + 'the next major version of decorators in stage 2.'); }

var _mobx = mobx,
    observable = _mobx.observable,
    action = _mobx.action,
    toJS = _mobx.toJS;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var API = ecodeSDK.imp(API);

var _ecodeSDK$imp = ecodeSDK.imp(util),
    getUrlParam = _ecodeSDK$imp.getUrlParam,
    hex_md5 = _ecodeSDK$imp.hex_md5;

Date.prototype.Format = function (fmt) {
  // author: meizz
  var o = {
    "M+": this.getMonth() + 1,
    // 月份
    "d+": this.getDate(),
    // 日
    "h+": this.getHours(),
    // 小时
    "m+": this.getMinutes(),
    // 分
    "s+": this.getSeconds(),
    // 秒
    "q+": Math.floor((this.getMonth() + 3) / 3),
    // 季度
    "S": this.getMilliseconds() // 毫秒

  };
  if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));

  for (var k in o) {
    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
  }

  return fmt;
};

var TotOnlineStore = (_class = (_temp = function TotOnlineStore() {
  _classCallCheck(this, TotOnlineStore);

  _initializerDefineProperty(this, "loading", _descriptor, this);

  _initializerDefineProperty(this, "hasRight", _descriptor2, this);

  _initializerDefineProperty(this, "ygbh", _descriptor3, this);

  _initializerDefineProperty(this, "mainList", _descriptor4, this);

  _initializerDefineProperty(this, "empData", _descriptor5, this);

  _initializerDefineProperty(this, "gpList", _descriptor6, this);

  _initializerDefineProperty(this, "jzList", _descriptor7, this);

  _initializerDefineProperty(this, "lyList", _descriptor8, this);

  _initializerDefineProperty(this, "initData", _descriptor9, this);

  _initializerDefineProperty(this, "comment", _descriptor10, this);

  _initializerDefineProperty(this, "getLabel", _descriptor11, this);
}, _temp), (_descriptor = _applyDecoratedDescriptor(_class.prototype, "loading", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return true;
  }
}), _descriptor2 = _applyDecoratedDescriptor(_class.prototype, "hasRight", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return true;
  }
}), _descriptor3 = _applyDecoratedDescriptor(_class.prototype, "ygbh", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return '';
  }
}), _descriptor4 = _applyDecoratedDescriptor(_class.prototype, "mainList", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return '';
  }
}), _descriptor5 = _applyDecoratedDescriptor(_class.prototype, "empData", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return {};
  }
}), _descriptor6 = _applyDecoratedDescriptor(_class.prototype, "gpList", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return [];
  }
}), _descriptor7 = _applyDecoratedDescriptor(_class.prototype, "jzList", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return [];
  }
}), _descriptor8 = _applyDecoratedDescriptor(_class.prototype, "lyList", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return [];
  }
}), _descriptor9 = _applyDecoratedDescriptor(_class.prototype, "initData", [action], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    var _this = this;

    return function () {
      _this.ygbh = getUrlParam('em_auth_userid');
      var currentDateTime = new Date().Format("yyyyMMddhhmmss");
      var Md5 = hex_md5('scm' + '123456' + currentDateTime);
      var datajson = {
        operationinfo: {
          operator: _this.ygbh
        },
        mainTable: {
          empID: _this.ygbh
        },
        pageInfo: {
          pageNo: "1",
          pageSize: "10"
        },
        header: {
          systemid: "scm",
          currentDateTime: currentDateTime,
          Md5: Md5
        } //根据员工号获取人员信息

      };
      API.getEmpInfoByEmpID({
        datajson: JSON.stringify(datajson)
      }).then(action(function (result) {
        var data = result.result;
        console.log('人员信息', JSON.parse(data)[0]);
        var mainTable = JSON.parse(data)[0].mainTable;
        _this.empData = mainTable;
      }));
      datajson.mainTable = {
        ygbh: _this.ygbh
      };
      var params = {
        datajson: JSON.stringify(datajson) // TOT主表获取列表

      };
      API.main_list(params).then(action(function (result) {
        var data = result.result;
        _this.mainList = JSON.parse(data);
        if (!JSON.parse(data).length) return;
        var mainTable = JSON.parse(data)[0].mainTable;
        var id = mainTable.id;
        datajson.mainTable = {
          totzbbh: id //骨牌

        };
        API.gp_list({
          datajson: JSON.stringify(datajson)
        }).then(action(function (result) {
          var data = result.result;
          console.log(3333333, 'gp', JSON.parse(data));
          _this.gpList = JSON.parse(data);
        })); //进展

        API.jz_list({
          datajson: JSON.stringify(datajson)
        }).then(action(function (result) {
          var data = result.result;
          var mainTable = JSON.parse(data)[0].mainTable;
          _this.jzList = mainTable;
          console.log(1111111, '进展', mainTable);
        })); //获取人员TOT留言

        API.getCommentByMainID({
          datajson: JSON.stringify(datajson)
        }).then(action(function (result) {
          var data = result.result;
          _this.lyList = JSON.parse(data);
          console.log('留言', JSON.parse(data));
        }));
      }));
    };
  }
}), _descriptor10 = _applyDecoratedDescriptor(_class.prototype, "comment", [action], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    var _this2 = this;

    return function () {
      var currentDateTime = new Date().Format("yyyyMMddhhmmss");
      var Md5 = hex_md5('scm' + '123456' + currentDateTime);
      var params = {
        datajson: JSON.stringify({
          "operationinfo": {
            "operator": _this2.ygbh
          },
          "mainTable": {
            //留言人员编号	lyrybh
            "lyrybh": "",
            //父级留言编号	fjlybh
            "fjlybh": "",
            //留言内容	lynr
            "lynr": "",
            //留言时间	lysj
            "lysj": "",
            //留言排序	lypx
            "lypx": "",
            //TOT主表编号	totzbbh
            "totzbbh": ""
          },
          "pageInfo": {
            "pageNo": "1",
            "pageSize": "10"
          },
          "header": {
            "systemid": "scm",
            currentDateTime: currentDateTime,
            Md5: Md5
          }
        })
      };
      API.comment(params).then(action(function (result) {
        var data = result.result;
        console.log(2222222, JSON.parse(data));
      }));
    };
  }
}), _descriptor11 = _applyDecoratedDescriptor(_class.prototype, "getLabel", [action], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    var _this3 = this;

    return function () {
      var currentDateTime = new Date().Format("yyyyMMddhhmmss");
      var Md5 = hex_md5('scm' + '123456' + currentDateTime);
      var params = {
        datajson: JSON.stringify({
          "operationinfo": {
            "operator": _this3.ygbh
          },
          "mainTable": {},
          "pageInfo": {
            "pageNo": "1",
            "pageSize": "10"
          },
          "header": {
            "systemid": "scm",
            currentDateTime: currentDateTime,
            Md5: Md5
          }
        })
      };
      API.getLabel(params).then(action(function (result) {
        var data = result.result;
        console.log(444444, JSON.parse(data));
      }));
    };
  }
})), _class);
ecodeSDK.exp(TotOnlineStore);