const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;
const OperationPageStore = ecodeSDK.imp(OperationPageStore);
const OperationPageStoreData =new OperationPageStore();
const API = ecodeSDK.imp(API);

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组
@withRouter
@observer
class OperationPage extends React.Component {
  constructor(props) {
    super(props);  
  }
  componentWillMount() { // 初始化渲染页面

  }

  componentDidMount(){
    OperationPageStoreData.getContractText();
    document.title = '运营协作协议';
    OperationPageStoreData.initData()

  }

  doSubmit(dataid){
    API.updateContractSummary({dataid}).then((res)=>{
      const{code = 0} = res;
      if(code == 200){
       window.location.href="/spa/custom/static4mobile/index.html#/cs/app/c072a3bd0c5842408f9c41f1ad0fde0a_HonestyPage"+"?dataid="+dataid;
      }
    });
  }


  render() {
    const {yyxzxyStr,dataid} = OperationPageStoreData;
    return (

        <RouteLayout>
        <div className='operationPage_layout' style={{display:'flex',flexDirection:'column',height:'calc(100vh)',background:'#FFF'}}>
          <div dangerouslySetInnerHTML={{ __html: yyxzxyStr }} style={{flex:1,overflowY:'auto'}}>
          </div>
          <div className="nextstep" style={{height:50}}>
            <Button className="nextstep-btn" type="primary" size="large" onClick={this.doSubmit.bind(this,dataid)}>同意签署，下一步</Button>
          </div>
        </div>
        </RouteLayout>

    )
  }
}


ecodeSDK.setCom('${appId}','OperationPage',OperationPage);