"use strict";

var _WeaverMobile = WeaverMobile,
    Tools = _WeaverMobile.Tools; //查询供应商信息

var getCustomerInfo = function getCustomerInfo(params) {
  var options = {
    url: '/interface/aos/contract/getCustomerInfo.jsp',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; //查询热水净水及厨房生态数据


var getKitchenECData = function getKitchenECData(params) {
  var options = {
    url: '/interface/aos/contract/getKitchenECData.jsp',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; //查询冷暖新风及智慧互联数据


var getSmartInternetData = function getSmartInternetData(params) {
  var options = {
    url: '/interface/aos/contract/getSmartInternetData.jsp',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; //查询通用返利条款数据


var getCommonPolicyData = function getCommonPolicyData(params) {
  var options = {
    url: '/interface/aos/contract/getCommonPolicyData.jsp',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; //查询相关交流


var getContentList = function getContentList(params) {
  var options = {
    url: '/api/workflow/communication/getContentList',
    method: 'POST',
    params: params
  };
  return Tools.callApi(options);
}; // 提交相关交流


var doSaveContent = function doSaveContent(params) {
  var options = {
    url: '/api/workflow/communication/doSaveContent',
    method: 'POST',
    params: params
  };
  return Tools.callApi(options);
}; // 获取审批流程


var getWorkflowRequest = function getWorkflowRequest(params) {
  var options = {
    url: '/api/workflow/paService/getWorkflowRequest',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; // 获取审批节点


var wfstatusnew = function wfstatusnew(params) {
  var options = {
    url: '/api/workflow/reqform/wfstatusnew',
    method: 'POST',
    params: params
  };
  return Tools.callApi(options);
}; // 获取合同签署情况


var getAgreement = function getAgreement(params) {
  var options = {
    url: '/interface/aos/contract/getAgreement.jsp',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; // 查询dataid


var getTakeEffectData = function getTakeEffectData(params) {
  var options = {
    url: '/interface/aos/contract/getTakeEffectData.jsp',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; // 催办


var doSupervise = function doSupervise(params) {
  var options = {
    url: '/api/workflow/supervise/doSupervise',
    method: 'POST',
    params: params
  };
  return Tools.callApi(options);
};

var API = {
  getCustomerInfo: getCustomerInfo,
  getKitchenECData: getKitchenECData,
  getSmartInternetData: getSmartInternetData,
  getCommonPolicyData: getCommonPolicyData,
  getContentList: getContentList,
  doSaveContent: doSaveContent,
  getWorkflowRequest: getWorkflowRequest,
  getAgreement: getAgreement,
  doSupervise: doSupervise,
  wfstatusnew: wfstatusnew
};
ecodeSDK.exp(API);