const { Provider } = mobxReact;
const ContractApproveStore = ecodeSDK.imp(ContractApproveStore);
const ContractApprove = ecodeSDK.imp(ContractApprove);
const Approve = ecodeSDK.imp(Approve);


// 实例化store，并通过provider注入所有组件中
const allSimpleStore = {
  contractApproveStore:new ContractApproveStore()
}

class ContractApproveRoot extends React.Component {
    render() {
      return (
        <Provider {...allSimpleStore}>
          <ContractApprove {...this.props} />
        </Provider>
      )
  }
}


//发布模块
ecodeSDK.setCom('${appId}','ContractApprovePage',ContractApproveRoot);