"use strict";

var _WeaverMobile = WeaverMobile,
    Tools = _WeaverMobile.Tools;

var insertCustomerType = function insertCustomerType(params) {
  var options = {
    url: '/api/aosmith/annualcontractsign/insertCustomerType',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; //查询合同信息


var getContractText = function getContractText(params) {
  var options = {
    url: '/interface/aos/contract/getContractText.jsp',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; //主合同下一步


var updateContractSummary = function updateContractSummary(params) {
  var options = {
    url: '/interface/aos/contract/updateContractSummary.jsp',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
};

var API = {
  insertCustomerType: insertCustomerType,
  getContractText: getContractText,
  updateContractSummary: updateContractSummary
};
ecodeSDK.exp(API);