"use strict";

var _class, _temp;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Stepper = _WeaverMobile.Stepper,
    Drawer = _WeaverMobile.Drawer;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var AgreeItem = Checkbox.AgreeItem;
var Item = List.Item;
var CommitLetterStore = ecodeSDK.imp(CommitLetterStore);
var CommitLetterStoreData = new CommitLetterStore();
var API = ecodeSDK.imp(API);
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var CommitLetter = withRouter(_class = observer(_class = (_temp =
/*#__PURE__*/
function (_React$Component) {
  _inherits(CommitLetter, _React$Component);

  function CommitLetter(props) {
    var _this;

    _classCallCheck(this, CommitLetter);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(CommitLetter).call(this, props));

    _this.onOpenChange = function () {
      _this.setState({
        showValid: false
      });

      _this.setState({
        showValidSecond: false
      });
    };

    _this.state = {
      showValid: false,
      showValidSecond: false // showValid,doSubmit,closeValid,nextPage

    };
    _this.doSubmit = _this.doSubmit.bind(_assertThisInitialized(_this));
    _this.closeValid = _this.closeValid.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(CommitLetter, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      CommitLetterStoreData.getContractText();
      CommitLetterStoreData.initData();
      document.title = '专营承诺书';
    }
  }, {
    key: "doSubmit",
    value: function doSubmit(dataid) {
      var checkDom = document.getElementById('agreeCheck');
      var checkedBox = document.getElementsByName('checkbox');
      var checkedArr = [];

      for (var i = 0; i < checkedBox.length; i++) {
        if (checkedBox[i].checked) {
          checkedArr.push(checkedBox[i].value);
        }
      }

      if (checkDom && checkDom.checked && !checkedArr.length || this.state.showValidSecond && !checkedArr.length) {
        this.setState({
          showValidSecond: true
        });
        return;
      }

      if (checkDom && checkDom.checked || this.state.showValid) {
        var params = {
          zysf: "'" + checkedArr.join('/') + "'",
          agree: +!this.state.showValid,
          sfqdzycs: +this.state.showValid,
          dataid: dataid
        };
        API.updateContractSummary(params).then(function (res) {
          var _res$code = res.code,
              code = _res$code === void 0 ? 0 : _res$code;

          if (code == 200) {
            location.href = "/spa/custom/static4mobile/index.html#/cs/app/cba114b1399c4ee6b3821a3a2459ec4a_AgentAreaPage" + "?dataid=" + dataid;
          }
        });
      } else {
        this.setState({
          showValid: true
        });
      }
    }
  }, {
    key: "closeValid",
    value: function closeValid() {
      this.setState({
        showValid: false,
        showValidSecond: false
      });
    }
  }, {
    key: "render",
    value: function render() {
      var zycsStr = CommitLetterStoreData.zycsStr,
          dataid = CommitLetterStoreData.dataid;
      return React.createElement(RouteLayout, {
        "commitletter-route-layout": true
      }, React.createElement("div", {
        style: {
          display: 'flex',
          flexDirection: 'column',
          height: 'calc(100vh)'
        },
        className: "commitletter-route-layout"
      }, React.createElement("div", {
        dangerouslySetInnerHTML: {
          __html: zycsStr
        },
        style: {
          flex: 1,
          overflow: 'auto'
        }
      }), React.createElement("div", {
        style: {
          textAlign: 'center',
          marginBottom: '10px',
          display: !this.state.showValid && !this.state.showValidSecond ? 'inline' : 'none'
        }
      }, React.createElement("input", {
        id: "agreeCheck",
        type: "checkbox",
        name: "agreeCheck"
      }), React.createElement("span", {
        style: {
          color: '#2081FD'
        }
      }, "\u6211\u5DF2\u8BA4\u771F\u9605\u8BFB\u300A\u4E13\u8425\u627F\u8BFA\u4E66\u300B\u5E76\u540C\u610F\u58F0\u660E\u4E2D\u7684\u6240\u6709\u6761\u6B3E")), React.createElement("div", {
        className: this.state.showValid ? "valid-info-box" : "valid-info-box valid-info-hide"
      }, React.createElement("i", {
        onClick: this.closeValid,
        className: "close-icon"
      }), React.createElement("div", {
        className: "valid-info"
      }, React.createElement("p", null, " \u60A8\u672A\u7B7E\u7F72\u4E13\u8425\u627F\u8BFA\u4E66\uFF0C\u65E0\u6CD5\u6210\u4E3A\u6211\u53F8\u4EE3\u7406\u5546\u3002"))), React.createElement("div", {
        className: this.state.showValidSecond ? "valid-info-box" : "valid-info-box valid-info-hide"
      }, React.createElement("i", {
        onClick: this.closeValid,
        className: "close-icon"
      }), React.createElement("div", {
        className: "valid-info"
      }, React.createElement("p", null, " \u60A8\u672A\u52FE\u9009\u60A8\u7684\u8EAB\u4EFD\uFF0C\u65E0\u6CD5\u8FDB\u5165\u4E0B\u4E00\u6B65\uFF0C\u8BF7\u52FE\u9009\u60A8\u7684\u8EAB\u4EFD\u3002"))), React.createElement("div", {
        className: "nextstep",
        style: {
          height: 50
        }
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: this.doSubmit.bind(this, dataid)
      }, "\u4E0B\u4E00\u6B65")), (this.state.showValid || this.state.showValidSecond) && React.createElement(Drawer, {
        className: "my-drawer",
        style: {
          minHeight: document.documentElement.clientHeight
        },
        enableDragHandle: true,
        contentStyle: {
          color: '#A6A6A6',
          textAlign: 'center',
          paddingTop: 42
        },
        open: this.state.showValid || this.state.showValidSecond,
        onOpenChange: this.onOpenChange,
        position: "bottom"
      })));
    }
  }]);

  return CommitLetter;
}(React.Component), _temp)) || _class) || _class;

ecodeSDK.setCom('${appId}', 'CommitLetterPage', CommitLetter);