const { Provider } = mobxReact;
const SaleChannelStore = ecodeSDK.imp(SaleChannelStore);
const SaleChannel = ecodeSDK.imp(SaleChannel);
//实例化store，并通过provider注入所有组件中
const allSimpleStore = {
  saleChannelStore:new SaleChannelStore()
}
class SaleChannelRoot extends React.Component {
  render() {
    return (
      <Provider {...allSimpleStore}>
        <SaleChannel {...this.props} />
      </Provider>
    )
  }
}
//发布模块
ecodeSDK.setCom('${appId}','SaleChannelPage',SaleChannelRoot);