const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@observer
class ComProfile extends React.Component {
  constructor(props) {
    super(props);  
  }
  componentWillMount() { // 初始化渲染页面

  }

  componentDidMount(){
    document.title = 'A.O.史密斯战略方向'
  }

  doSubmit(){
    location.href="/spa/custom/static4mobile/index.html#/cs/app/ee2aa0f63bf14bf39a6dab7bec4298f9_SalePlanPage";
  }


  render() {

    return (


          <div key="comProfileRoutePage" className="comprofile-route-layout">
            <img className="poster" src="/interface/aos/contract/image/poster2.png" />
            <div className="content-box">
              <i className="illustration"/>
              <div className="com-info">
                <p>
                  A.O.史密斯致力于打造智慧生态、技术领先，为消费者提供热水、净水、采暖新风、智慧互联的解决方案，带来美好生活的卓越公司。
                </p>
                  
                <p>
                  2023年将聚焦于从全球水科技公司到好风好水智慧集成的舒适家居领域的转型。好风好水智慧互联的战略落地要与诸位同盟携手并进。
                </p>
              </div>
              <div className="nextstep">
                <Button className="nextstep-btn" type="primary" size="large" onClick={this.doSubmit} >下一步</Button>
              </div>
            </div>
            
          </div>

    )
  }
}


ecodeSDK.setCom('${appId}','ComProfilePage',ComProfile);