"use strict";

var _dec, _class;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Tabs = _WeaverMobile.Tabs,
    Badge = _WeaverMobile.Badge;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var AgreeItem = Checkbox.AgreeItem;
var Item = List.Item;
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var TotList = (_dec = inject("totListStore"), withRouter(_class = _dec(_class = observer(_class =
/*#__PURE__*/
function (_React$Component) {
  _inherits(TotList, _React$Component);

  function TotList(props) {
    var _this;

    _classCallCheck(this, TotList);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(TotList).call(this, props));
    _this.state = {
      currentValue: {},
      data: [{
        name: '通过金牌教练计划赋能通过金牌教练计划赋能',
        person: '陆峰',
        time: '2022-11-14'
      }, {
        name: '通过金牌教练计划赋能通过金牌教练计划赋能',
        person: '陆峰1',
        time: '2022-11-14'
      }, {
        name: '通过金牌教练计划赋能通过金牌教练计划赋能',
        person: '陆峰2',
        time: '2022-11-14'
      }, {
        name: '通过金牌教练计划赋能通过金牌教练计划赋能',
        person: '陆峰3',
        time: '2022-11-14'
      }, {
        name: '通过金牌教练计划赋能通过金牌教练计划赋能',
        person: '陆峰4',
        time: '2022-11-14'
      }, {
        name: '通过金牌教练计划赋能通过金牌教练计划赋能',
        person: '陆峰5',
        time: '2022-11-14'
      }, {
        name: '通过金牌教练计划赋能通过金牌教练计划赋能',
        person: '陆峰6',
        time: '2022-11-14'
      }, {
        name: '通过金牌教练计划赋能通过金牌教练计划赋能',
        person: '陆峰7',
        time: '2022-11-14'
      }]
    };
    _this.handleClick = _this.handleClick.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(TotList, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = 'TOT列表';
      var totListStore = this.props.totListStore;
      totListStore.initData();
    }
  }, {
    key: "handleClick",
    value: function handleClick(e) {
      e.target.className = e.target.className == 'iconChecked' ? 'iconUncheck' : 'iconChecked';
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _ecodeSDK$imp = ecodeSDK.imp(util),
          renderNoright = _ecodeSDK$imp.renderNoright,
          renderLoading = _ecodeSDK$imp.renderLoading;

      var totListStore = this.props.totListStore;
      var loading = totListStore.loading,
          hasRight = totListStore.hasRight,
          _totListStore$labelLi = totListStore.labelList,
          labelList = _totListStore$labelLi === void 0 ? [] : _totListStore$labelLi; // 从后台取数据 和 方法

      var _this$state = this.state,
          data = _this$state.data,
          currentValue = _this$state.currentValue;

      if (!hasRight && !loading) {
        // 无权限处理
        return renderNoright();
      }

      return React.createElement("div", {
        key: "totListRoutePage",
        className: "totList-route-layout"
      }, React.createElement("div", {
        className: "totList-content-container"
      }, React.createElement("div", {
        className: "search"
      }, React.createElement("input", {
        placeholder: "\u8F93\u5165TOT\u540D\u79F0\u3001\u5173\u952E\u8BCD\u3001\u8D1F\u8D23\u4EBA\u7B49"
      }), React.createElement("div", null, "\u641C\u7D22")), React.createElement("div", {
        className: "iconCheck"
      }, labelList.map(function (value) {
        return React.createElement("div", {
          className: value.bqsfqy == '1' ? 'iconChecked' : 'iconUncheck',
          onClick: _this2.handleClick
        }, value.bqmc);
      })), React.createElement("div", {
        className: "header"
      }, React.createElement("div", null, "TOT\u540D\u79F0"), React.createElement("div", null, "\u8D1F\u8D23\u4EBA"), React.createElement("div", null, "\u66F4\u65B0\u65F6\u95F4")), React.createElement("div", null, data.map(function (value) {
        return React.createElement("div", {
          className: "contentLi"
        }, React.createElement("div", null, value.name), React.createElement("div", null, value.person), React.createElement("div", null, value.time));
      }))));
    }
  }]);

  return TotList;
}(React.Component)) || _class) || _class) || _class);
ecodeSDK.exp(TotList);