const { observable, action, toJS } = mobx;
const { Form, RouteLayout } = WeaverMobilePage;
const API = ecodeSDK.imp(API);
const { getUrlParam,hex_md5 } = ecodeSDK.imp(util);
 Date.prototype.Format = function (fmt) { // author: meizz
      var o = {
          "M+": this.getMonth() + 1, // 月份
          "d+": this.getDate(), // 日
          "h+": this.getHours(), // 小时
          "m+": this.getMinutes(), // 分
          "s+": this.getSeconds(), // 秒
          "q+": Math.floor((this.getMonth() + 3) / 3), // 季度
          "S": this.getMilliseconds() // 毫秒
      };
      if (/(y+)/.test(fmt))
          fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
      for (var k in o)
          if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
      return fmt;
    }
class TotListStore {

  @observable loading = true; // 页面初始化的loading状态：数据加载成功前后前使用
  @observable hasRight = true; // 判断用户是有权限查看当前页面

  @observable dataid =''; //汇总数据数据id
  
  @observable labelList =[]; //标签list


  @action 
  initData = () => {
      this.ygbh = getUrlParam('em_auth_userid');
      const currentDateTime = new Date().Format("yyyyMMddhhmmss");
      const Md5 = hex_md5('scm'+'123456'+currentDateTime)
      const datajson = {
                operationinfo:{
                  operator:this.ygbh
                },
                mainTable:{},
                pageInfo:{
                  pageNo:"1",
                  pageSize:"10"
                },
                header:{
                  systemid:"scm",
                  currentDateTime,
                  Md5
                }
            }
      const params={
          datajson:JSON.stringify(datajson),
      }
      // TOT主表获取列表
      // API.getLabel(params).then(action(result => {
      //     const {result:data} = result;
      //     console.log(444555666,JSON.parse(data));
      // }));
      API.getLabel(params).then(action(result=>{
          const {result:data} = result;
          this.labelList = JSON.parse(data).map((value)=>value.mainTable)
      }))
  }

}

ecodeSDK.exp(TotListStore);

