"use strict";

var _dec, _class, _temp;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    TextareaItem = _WeaverMobile.TextareaItem,
    Popover = _WeaverMobile.Popover;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var AgreeItem = Checkbox.AgreeItem;
var Item = List.Item;
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var TotEdit = (_dec = inject("totEditStore"), withRouter(_class = _dec(_class = observer(_class = (_temp =
/*#__PURE__*/
function (_React$Component) {
  _inherits(TotEdit, _React$Component);

  function TotEdit(props) {
    var _this;

    _classCallCheck(this, TotEdit);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(TotEdit).call(this, props));

    _this.handleVisibleChange = function (visible) {
      _this.setState({
        visible: visible
      });
    };

    _this.moonHandleVisibleChange = function (moonVisible) {
      _this.setState({
        moonVisible: moonVisible
      });
    };

    _this.state = {
      visible: false,
      moonVisible: false,
      totContent: '',
      moonContent: ''
    };
    _this.handleClick = _this.handleClick.bind(_assertThisInitialized(_this));
    _this.handleSave = _this.handleSave.bind(_assertThisInitialized(_this));
    _this.dominoesAdd = _this.dominoesAdd.bind(_assertThisInitialized(_this));
    _this.progressAdd = _this.progressAdd.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(TotEdit, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = 'TOT编辑';
      var totEditStore = this.props.totEditStore;
      totEditStore.initData();
      totEditStore.getLabel();
    }
  }, {
    key: "handleClick",
    value: function handleClick(e) {
      e.target.className = e.target.className == 'iconChecked' ? 'iconUncheck' : 'iconChecked';
    }
  }, {
    key: "handleSave",
    value: function handleSave() {
      console.log(6666666);
    }
  }, {
    key: "dominoesAdd",
    value: function dominoesAdd() {
      location.href = '/spa/custom/static4mobile/index.html#/cs/app/ce5b60bd17384eb7b26aeaafc5de663f_Dominoes';
    }
  }, {
    key: "progressAdd",
    value: function progressAdd() {
      location.href = '/spa/custom/static4mobile/index.html#/cs/app/25b2d68c989a497d88839032c704b64d_ProgressThisWeek';
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _ecodeSDK$imp = ecodeSDK.imp(util),
          renderNoright = _ecodeSDK$imp.renderNoright,
          renderLoading = _ecodeSDK$imp.renderLoading;

      var totEditStore = this.props.totEditStore;
      var loading = totEditStore.loading,
          hasRight = totEditStore.hasRight,
          labelList = totEditStore.labelList; // 从后台取数据 和 方法

      if (!hasRight && !loading) {
        // 无权限处理
        return renderNoright();
      }

      return React.createElement(RouteLayout, {
        "totInput-route-layout": true
      }, React.createElement("div", {
        key: "totInputRoutePage",
        className: "totInput-route-layout"
      }, React.createElement("div", {
        className: "totInput-content-container"
      }, React.createElement("div", {
        className: "wrapper"
      }, React.createElement("div", {
        className: "content"
      }, React.createElement("div", null, "TOT"), React.createElement(Popover, {
        mask: true,
        overlayClassName: "totFortest",
        overlayStyle: {
          color: 'currentColor'
        },
        visible: this.state.visible,
        overlay: [React.createElement("div", {
          style: {
            backgroundColor: "rgb(255,253,195)",
            padding: 10,
            color: "rgba(136, 136, 136, 1)"
          }
        }, React.createElement("div", {
          style: {
            fontWeight: 500
          }
        }, "\u5173\u4E8ETOT\u540D\u79F0\uFF0C\u5EFA\u8BAE\u60A8\u505A\u4EE5\u4E0B\u8003\u8651\uFF1A"), React.createElement("div", {
          style: {
            margin: "10px 0"
          }
        }, "\u5185\u5BB9\u80FD\u51C6\u786E\u8868\u8FBE\u5C06\u8981\u505A\u4EC0\u4E48\u4E8B\u60C5\uFF0C\u8981\u7B26\u5408\u5927\u800C\u5177\u4F53\u548C\u5173\u8054\u4E1A\u52A1"))],
        align: {
          overflow: {
            adjustY: 0,
            adjustX: 0
          },
          offset: [-10, 0]
        },
        onVisibleChange: this.handleVisibleChange
      }, React.createElement("img", {
        src: "${appRes}/question.png"
      }))), React.createElement("div", null, React.createElement(TextareaItem, {
        rows: 3,
        onBlur: function onBlur(val) {
          _this2.setState({
            totContent: val
          });
        }
      })), React.createElement("div", {
        className: "content"
      }, React.createElement("div", null, "\u6708\u4EAE"), React.createElement(Popover, {
        mask: true,
        overlayClassName: "moonFortest",
        overlayStyle: {
          color: 'currentColor'
        },
        visible: this.state.moonVisible,
        overlay: [React.createElement("div", {
          style: {
            backgroundColor: "rgb(255,253,195)",
            padding: 10,
            color: "rgba(136, 136, 136, 1)"
          }
        }, React.createElement("div", {
          style: {
            fontWeight: 500
          }
        }, "\u5173\u4E8E\u6210\u529F\u666F\u8C61\uFF0C\u5EFA\u8BAE\u60A8\u505A\u4EE5\u4E0B\u8003\u8651\uFF1A"), React.createElement("div", {
          style: {
            margin: "10px 0"
          }
        }, "\u505A\u6210\u4E4B\u540E\u5BF9\u516C\u53F8\u7684\u5E2E\u52A9\u662F\u4EC0\u4E48\uFF0C\u80FD\u4F53\u73B0\u5728\u91CF\u5316\u6307\u6807\u4E0A"))],
        align: {
          overflow: {
            adjustY: 0,
            adjustX: 0
          },
          offset: [-10, 0]
        },
        onVisibleChange: this.moonHandleVisibleChange
      }, React.createElement("img", {
        src: "${appRes}/question.png"
      }))), React.createElement("div", null, React.createElement(TextareaItem, {
        rows: 3,
        onBlur: function onBlur(val) {
          _this2.setState({
            moonContent: val
          });
        }
      })), React.createElement("div", {
        className: "content"
      }, React.createElement("div", null, "\u6807\u7B7E")), React.createElement("div", {
        className: "iconCheck"
      }, labelList.map(function (value) {
        return React.createElement("div", {
          className: value.bqsfqy == '1' ? 'iconChecked' : 'iconUncheck',
          onClick: _this2.handleClick
        }, value.bqmc);
      })), React.createElement("div", {
        className: "content"
      }, React.createElement("div", null, "\u9AA8\u724C"), React.createElement("img", {
        src: "${appRes}/add.png",
        onClick: this.dominoesAdd
      })), React.createElement("div", null)), React.createElement("div", {
        className: "wrapper",
        style: {
          marginTop: 23
        }
      }, React.createElement("div", {
        className: "content"
      }, React.createElement("div", null, "\u5468\u8FDB\u5C55"), React.createElement("img", {
        src: "${appRes}/add.png",
        onClick: this.progressAdd
      })), React.createElement("div", null)), React.createElement("div", {
        className: "save"
      }, React.createElement(Button, {
        onClick: this.handleSave
      }, "\u4FDD\u5B58")))));
    }
  }]);

  return TotEdit;
}(React.Component), _temp)) || _class) || _class) || _class);
ecodeSDK.exp(TotEdit);