"use strict";

var _class;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Stepper = _WeaverMobile.Stepper,
    Toast = _WeaverMobile.Toast;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var AgreeItem = Checkbox.AgreeItem;
var Item = List.Item;
var API = ecodeSDK.imp(API);
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var StartPage = withRouter(_class = observer(_class =
/*#__PURE__*/
function (_React$Component) {
  _inherits(StartPage, _React$Component);

  function StartPage(props) {
    _classCallCheck(this, StartPage);

    return _possibleConstructorReturn(this, _getPrototypeOf(StartPage).call(this, props));
  }

  _createClass(StartPage, [{
    key: "componentWillMount",
    value: function componentWillMount() {// 初始化渲染页面
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = '首页';
    }
  }, {
    key: "doSubmit",
    value: function doSubmit() {
      //window.location.href="/spa/custom/static4mobile/index.html#/cs/app/75dea2eb01634f719b8409811a5ee912_ComProfilePage";
      API.checkCreateRight().then(function (result) {
        if (result.hasRight) {
          window.location.href = "/spa/custom/static4mobile/index.html#/cs/app/75dea2eb01634f719b8409811a5ee912_ComProfilePage";
        } else {
          Toast.info("您的合同正在审批中，审批进程查询入口：（1）企业微信-工作台-我的待办-我的申请；（2）艾办公-我的待办-我的申请");
          return;
        }
      });
    }
  }, {
    key: "render",
    value: function render() {
      return React.createElement("div", {
        key: "startRoutePage",
        className: "start-route-layout",
        style: {
          background: "url(/interface/aos/contract/image/background.png) no-repeat",
          backgroundSize: '100% 100%'
        }
      }, React.createElement("h1", null, "2023\u5E74\u5EA6\u96F6\u552E\u5408\u540C\u7B7E\u7EA6"), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: this.doSubmit
      }, "\u73B0\u5728\u5F00\u59CB")));
    }
  }]);

  return StartPage;
}(React.Component)) || _class) || _class;

ecodeSDK.setCom('${appId}', 'StartPage', StartPage);