const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;
const MainContractStore = ecodeSDK.imp(MainContractStore);
const MainContractStoreData =new MainContractStore();
const API = ecodeSDK.imp(API);

const allSimpleStore = {
  MainContractStore:new MainContractStore()
}
const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组
@withRouter
@observer
class MainContractPage extends React.Component {
  constructor(props) {
    super(props);  
  }
  componentWillMount() { // 初始化渲染页面

  }

  componentDidMount(){
    MainContractStoreData.getContractText();
    document.title = '主合同-权利义务'
    console.log(66666,'合同组件加载了')
    MainContractStoreData.initData()
  }

  doSubmit(dataid){
    console.log(44444,dataid)
    API.updateContractSummary({dataid}).then((res)=>{
      const{code = 0} = res;
      if(code == 200){
       window.location.href="/spa/custom/static4mobile/index.html#/cs/app/adceb129a8f544e7bc59aa08dba688f6_BrandPage"+"?dataid="+dataid;
      }
    });
  }


  render() {
    const {qlywStr,dataid} = MainContractStoreData;
    return (

        <RouteLayout>
        <div className='mainContract-layout' style={{display:'flex',flexDirection:'column',height:'calc(100vh)',background:'#FFF'}}>
          <div dangerouslySetInnerHTML={{ __html: qlywStr }} style={{flex:1,overflow:'auto'}}>
          </div>
          <div className="nextstep" style={{height:50}}>
            <Button className="nextstep-btn" type="primary" size="large" onClick={this.doSubmit.bind(this,dataid)}>同意签署，下一步</Button>
          </div>
        </div>
        </RouteLayout>

    )
  }
}


ecodeSDK.setCom('${appId}','MainContractPage',MainContractPage);