let _this = null;
const waitWmLoad = (props,params) => {
    const acParams = {
        appId:'${appId}',
        name:'BrandPage', //模块名称
        params, //参数
        isPage:true, //是否是路由页面
        noCss:false //是否禁止单独加载css，通常为了减少css数量，css默认前置加载
      }
      //异步加载${appId}下的子模块MobilePage1
      class WaitWeaverMobileLoad extends React.Component {
        constructor(props) {
          super(props);
          this.state = {
            isLoad:false
          }
          _this = this;
        }
        setIsLoad(b) {
          this.setState({
            isLoad:b
          });
        }
        render() {
          if(!this.state.isLoad) return (<div />);
          const NewCom = ecodeSDK.getAsyncCom(acParams);
          return (<NewCom />);
        }
      }
      return WaitWeaverMobileLoad;
}
ecodeSDK.onWeaverMobileLoadQueue.push(()=>{
  _this&&_this.setIsLoad(true);
});
//注册和绑定新页面前端实现接口
ecodeSDK.rewriteMobileRouteQueue.push({
  fn:(params)=>{
    const {Com,props,state,context} = params;
    const mpParams = {
      path:'/cs/app/:uuid', //路由地址
      appId:'${appId}',
      name:'BrandPage', //路由名称
      props,
      state
    }
    if(ecodeSDK.checkMobilePath(mpParams)) {
      return waitWmLoad(props,params);
    }
    return null;
  },
  order:1,
  desc:'品牌规范使用协议页面'
});

//访问地址：/spa/custom/static4mobile/index.html#/cs/app/adceb129a8f544e7bc59aa08dba688f6_BrandPage