"use strict";

var _class;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Stepper = _WeaverMobile.Stepper;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var AgreeItem = Checkbox.AgreeItem;
var Item = List.Item;
var HonestyPageStore = ecodeSDK.imp(HonestyPageStore);
var HonestyPageStoreData = new HonestyPageStore();
var API = ecodeSDK.imp(API);
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var HonestyPage = withRouter(_class = observer(_class =
/*#__PURE__*/
function (_React$Component) {
  _inherits(HonestyPage, _React$Component);

  function HonestyPage(props) {
    _classCallCheck(this, HonestyPage);

    return _possibleConstructorReturn(this, _getPrototypeOf(HonestyPage).call(this, props));
  }

  _createClass(HonestyPage, [{
    key: "componentWillMount",
    value: function componentWillMount() {// 初始化渲染页面
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      HonestyPageStoreData.getContractText();
      document.title = '诚信廉洁共建协议书';
      HonestyPageStoreData.initData();
    }
  }, {
    key: "doSubmit",
    value: function doSubmit(dataid) {
      API.updateContractSummary({
        dataid: dataid
      }).then(function (res) {
        var _res$code = res.code,
            code = _res$code === void 0 ? 0 : _res$code;

        if (code == 200) {
          window.location.href = "/spa/custom/static4mobile/index.html#/cs/app/ab04e00c03bd4b469447f01f0bcc0e63_ContractOverviewPage" + "?dataid=" + dataid;
        }
      });
    }
  }, {
    key: "render",
    value: function render() {
      var cxljgjxysStr = HonestyPageStoreData.cxljgjxysStr,
          dataid = HonestyPageStoreData.dataid;
      return React.createElement(RouteLayout, null, React.createElement("div", {
        className: "honestyPage_layout",
        style: {
          display: 'flex',
          flexDirection: 'column',
          height: 'calc(100vh)',
          background: '#FFF'
        }
      }, React.createElement("div", {
        dangerouslySetInnerHTML: {
          __html: cxljgjxysStr
        },
        style: {
          flex: 1,
          overflow: 'auto'
        }
      }), React.createElement("div", {
        className: "nextstep",
        style: {
          height: 50
        }
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: this.doSubmit.bind(this, dataid)
      }, "\u540C\u610F\u7B7E\u7F72\uFF0C\u4E0B\u4E00\u6B65"))));
    }
  }]);

  return HonestyPage;
}(React.Component)) || _class) || _class;

ecodeSDK.setCom('${appId}', 'HonestyPage', HonestyPage);