"use strict";

var _dec, _class;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Stepper = _WeaverMobile.Stepper;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var AgreeItem = Checkbox.AgreeItem;
var Item = List.Item;
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var AgentArea = (_dec = inject("agentAreaStore"), withRouter(_class = _dec(_class = observer(_class =
/*#__PURE__*/
function (_React$Component) {
  _inherits(AgentArea, _React$Component);

  function AgentArea(props) {
    _classCallCheck(this, AgentArea);

    return _possibleConstructorReturn(this, _getPrototypeOf(AgentArea).call(this, props));
  }

  _createClass(AgentArea, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = '代理区域操作模式';
      document.body.style.background = " url(/interface/aos/contract/image/agentbk.png) no-repeat";
      document.body.style.backgroundSize = "100% 100%";
      var agentAreaStore = this.props.agentAreaStore;
      agentAreaStore.initData();
      agentAreaStore.getCustomerInfo();
      agentAreaStore.getAgentType();
    }
  }, {
    key: "render",
    value: function render() {
      var _ecodeSDK$imp = ecodeSDK.imp(util),
          renderNoright = _ecodeSDK$imp.renderNoright,
          renderLoading = _ecodeSDK$imp.renderLoading;

      var agentAreaStore = this.props.agentAreaStore;
      var loading = agentAreaStore.loading,
          hasRight = agentAreaStore.hasRight,
          showValid = agentAreaStore.showValid,
          doSubmit = agentAreaStore.doSubmit,
          closeValid = agentAreaStore.closeValid,
          nextPage = agentAreaStore.nextPage,
          cusInfo = agentAreaStore.cusInfo,
          agentType = agentAreaStore.agentType; // 从后台取数据 和 方法

      if (!hasRight && !loading) {
        // 无权限处理
        return renderNoright();
      }

      return React.createElement("div", {
        key: "agentAreaRoutePage",
        className: "agentarea-route-layout"
      }, React.createElement("div", {
        className: "agent-content-container"
      }, React.createElement("div", {
        className: "agent-type-box"
      }, React.createElement("div", {
        className: "title-desc"
      }, "\u6839\u636E\u60A8\u9009\u62E9\u7684\u9500\u552E\u573A\u666F\u53CA\u64CD\u4F5C\u6E20\u9053\uFF0C\u8BA4\u5B9A\u60A8\u4E3A\uFF1A"), React.createElement("div", {
        className: "agent-type-item-box"
      }, agentType.map(function (item, index) {
        return React.createElement("div", {
          className: cusInfo.agentInfo && cusInfo.agentInfo.ssfl == item ? "agent-type-item item-active" : "agent-type-item"
        }, item);
      }))), React.createElement("div", {
        className: "agent-area-box"
      }, React.createElement("div", {
        className: "title-desc"
      }, "\u60A8\u7533\u8BF7\u4EE3\u7406\u7684\u57CE\u5E02\uFF08\u533A\u57DF\uFF09\u4E3A\uFF1A"), React.createElement("div", {
        className: "agent-area-info"
      }, cusInfo.baseInfo && cusInfo.baseInfo.sf && React.createElement("div", {
        style: {
          color: '#333',
          fontWeight: 700
        }
      }, cusInfo.baseInfo && cusInfo.baseInfo.sf, ":"), React.createElement("div", {
        style: {
          marginTop: '10px',
          lineHeight: '21px'
        }
      }, cusInfo.baseInfo && cusInfo.baseInfo.qy)))), React.createElement("div", {
        className: "opt-container"
      }, React.createElement("div", {
        className: showValid ? "valid-info-box" : "valid-info-box valid-info-hide"
      }, React.createElement("i", {
        onClick: closeValid,
        className: "close-icon"
      }), React.createElement("div", {
        className: "valid-info"
      }, cusInfo.baseInfo && cusInfo.baseInfo.dlqyts), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: nextPage
      }, "\u4E0B\u4E00\u6B65"))), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: doSubmit
      }, "\u4E0B\u4E00\u6B65"))));
    }
  }]);

  return AgentArea;
}(React.Component)) || _class) || _class) || _class);
ecodeSDK.exp(AgentArea);