"use strict";

var _class, _temp;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    TextareaItem = _WeaverMobile.TextareaItem,
    Popover = _WeaverMobile.Popover,
    Select = _WeaverMobile.Select,
    DatePicker = _WeaverMobile.DatePicker,
    ButtonSelect = _WeaverMobile.ButtonSelect;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var AgreeItem = Checkbox.AgreeItem;
var Item = List.Item;
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var Dominoes = withRouter(_class = observer(_class = (_temp =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Dominoes, _React$Component);

  function Dominoes(props) {
    var _this;

    _classCallCheck(this, Dominoes);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Dominoes).call(this, props));

    _this.actionHandleVisibleChange = function (actionVisible) {
      _this.setState({
        actionVisible: actionVisible
      });
    };

    _this.moonHandleVisibleChange = function (moonVisible) {
      _this.setState({
        moonVisible: moonVisible
      });
    };

    _this.state = {
      actionVisible: false,
      moonVisible: false,
      totContent: '',
      moonContent: '',
      value: '',
      date: '',
      options: [{
        label: '1',
        value: '1'
      }, {
        label: '2',
        value: '2'
      }, {
        label: '3',
        value: '3'
      }],
      statusOptions: [{
        key: '0',
        showname: '未开始'
      }, {
        key: '1',
        showname: '进行中'
      }, {
        key: '2',
        showname: '已完成'
      }]
    };
    _this.handleClick = _this.handleClick.bind(_assertThisInitialized(_this));
    _this.handleSave = _this.handleSave.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(Dominoes, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = '骨牌编辑';
    }
  }, {
    key: "handleClick",
    value: function handleClick(e) {
      e.target.className = e.target.className == 'iconChecked' ? 'iconUncheck' : 'iconChecked';
    }
  }, {
    key: "handleSave",
    value: function handleSave() {
      console.log(6666666);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _ecodeSDK$imp = ecodeSDK.imp(util),
          renderNoright = _ecodeSDK$imp.renderNoright,
          renderLoading = _ecodeSDK$imp.renderLoading;

      var _this$state = this.state,
          options = _this$state.options,
          statusOptions = _this$state.statusOptions;
      return React.createElement("div", {
        key: "dominoesRoutePage",
        className: "dominoes-route-layout"
      }, React.createElement("div", {
        className: "dominoes-content-container"
      }, React.createElement("div", {
        className: "wrapper"
      }, React.createElement("div", {
        className: "content",
        style: {
          justifyContent: 'space-between'
        }
      }, React.createElement("div", null, "\u9AA8\u724C\u5E8F\u53F7"), React.createElement("select", {
        style: {
          width: 200,
          borderColor: 'lightgray',
          borderRadius: 5,
          color: '#999',
          height: 30
        }
      }, React.createElement("option", {
        value: "1"
      }, "1"), React.createElement("option", {
        value: "2"
      }, "2"), React.createElement("option", {
        value: "3"
      }, "3"))), React.createElement("div", {
        className: "content"
      }, React.createElement("div", null, "\u9AA8\u724C\u540D\u79F0"), React.createElement(Popover, {
        mask: true,
        overlayClassName: "dominoesName",
        overlayStyle: {
          color: 'currentColor'
        },
        visible: this.state.moonVisible,
        overlay: [React.createElement("div", {
          style: {
            backgroundColor: "rgb(255,253,195)",
            padding: 10,
            color: "rgba(136, 136, 136, 1)"
          }
        }, React.createElement("div", {
          style: {
            fontWeight: 500
          }
        }, "\u5173\u4E8E\u9AA8\u724C\u5E8F\u5217\uFF0C\u5EFA\u8BAE\u60A8\u505A\u4EE5\u4E0B\u8003\u8651\uFF1A"), React.createElement("div", {
          style: {
            margin: "10px 0"
          }
        }, "1.\u4ECE\u6210\u529F\u666F\u8C61\u5F00\u59CB\uFF0C\u601D\u8003\u5B9E\u73B0\u8FC7\u7A0B\u4E2D\u7684\u969C\u788D\u4EE5\u53CA\u63A8\u5012\u8FD9\u4E2A\u969C\u788D\u7684\u6807\u51C6\u6216\u6210\u679C"), React.createElement("div", null, "2.\u4E0D\u65AD\u5BFB\u627E\u6838\u5FC3\u969C\u788D\uFF08\u89E3\u51B3\u4E86\u5B83\uFF0C\u5176\u4ED6\u4E8B\u9879\u4F1A\u53D8\u5F97\u90FD\u4E0D\u91CD\u8981\u6216\u66F4\u7B80\u5355\u4E86\uFF09"))],
        align: {
          overflow: {
            adjustY: 0,
            adjustX: 0
          },
          offset: [-10, 0]
        },
        onVisibleChange: this.moonHandleVisibleChange
      }, React.createElement("img", {
        src: "${appRes}/question.png"
      }))), React.createElement("div", {
        style: {
          border: '1px solid lightgray',
          margin: '-20px 0 20px 0'
        }
      }, React.createElement(TextareaItem, {
        rows: 3,
        placeholder: "\u9AA8\u724C\u540D\u79F0",
        onBlur: function onBlur(val) {
          _this2.setState({
            moonContent: val
          });
        }
      })), React.createElement("div", {
        className: "content",
        style: {
          justifyContent: 'space-between'
        }
      }, React.createElement("div", null, "\u9884\u8BA1\u5B8C\u6210\u65F6\u95F4"), React.createElement("div", {
        style: {
          width: 200,
          border: '1px solid lightgray',
          borderRadius: 5,
          color: '#999',
          height: 30
        }
      }, React.createElement(DatePicker, {
        mode: "date",
        title: "Select Date",
        extra: "",
        value: this.state.date,
        onChange: function onChange(date) {
          return _this2.setState({
            date: date
          });
        }
      }, React.createElement(List.Item, {
        arrow: "horizontal"
      })))), React.createElement("div", {
        className: "content",
        style: {
          justifyContent: 'space-between'
        }
      }, React.createElement("div", null, "\u5B8C\u6210\u72B6\u6001"), React.createElement("select", {
        style: {
          width: 200,
          borderColor: 'lightgray',
          borderRadius: 5,
          color: '#999',
          height: 30
        }
      }, React.createElement("option", {
        value: "0"
      }, "\u672A\u5B8C\u6210"), React.createElement("option", {
        value: "1"
      }, "\u8FDB\u884C\u4E2D"), React.createElement("option", {
        value: "2"
      }, "\u5DF2\u5B8C\u6210"))), React.createElement("div", {
        className: "content"
      }, React.createElement("div", null, "\u5173\u952E\u52A8\u4F5C"), React.createElement(Popover, {
        mask: true,
        overlayClassName: "action",
        overlayStyle: {
          color: 'currentColor'
        },
        visible: this.state.actionVisible,
        overlay: [React.createElement("div", {
          style: {
            backgroundColor: "rgb(255,253,195)",
            padding: 10,
            color: "rgba(136, 136, 136, 1)"
          }
        }, React.createElement("div", {
          style: {
            fontWeight: 500
          }
        }, "\u5173\u4E8E\u5173\u952E\u52A8\u4F5C\uFF0C\u5EFA\u8BAE\u60A8\u505A\u4EE5\u4E0B\u8003\u8651\uFF1A"), React.createElement("div", {
          style: {
            margin: "10px 0"
          }
        }, "1.\u5206\u522B\u4ECE\u53EF\u884C\u6027\u3001\u5EF6\u4F38\u6027\u3001\u53EF\u80FD\u6027\u51FA\u53D1\u601D\u8003\u60A8\u7684\u5173\u952E\u884C\u52A8"), React.createElement("div", null, "2.\u5173\u952E\u884C\u52A8\u8981\u6709\u70B9\u77F3\u6210\u91D1\u63A8\u5012\u969C\u788D\u7684\u653E\u5927\u6548\u5E94"))],
        align: {
          overflow: {
            adjustY: 0,
            adjustX: 0
          },
          offset: [-10, 0]
        },
        onVisibleChange: this.actionHandleVisibleChange
      }, React.createElement("img", {
        src: "${appRes}/question.png"
      }))), React.createElement("div", {
        style: {
          border: '1px solid lightgray',
          margin: '-20px 0 20px 0'
        }
      }, React.createElement(TextareaItem, {
        rows: 3,
        placeholder: "\u5173\u952E\u52A8\u4F5C",
        onBlur: function onBlur(val) {
          _this2.setState({
            moonContent: val
          });
        }
      }))), React.createElement("div", {
        className: "save"
      }, React.createElement(Button, {
        onClick: this.handleSave
      }, "\u4FDD\u5B58"))));
    }
  }]);

  return Dominoes;
}(React.Component), _temp)) || _class) || _class;

ecodeSDK.exp(Dominoes);