const { observable, action, toJS } = mobx;
const { Form, RouteLayout } = WeaverMobilePage;
const API = ecodeSDK.imp(API);
const { getUrlParam } = ecodeSDK.imp(util);

class TotEditStore {

  @observable loading = true; // 页面初始化的loading状态：数据加载成功前后前使用
  @observable hasRight = true; // 判断用户是有权限查看当前页面

  @observable dataid =''; //汇总数据数据id


  @action 
  initData = () => {
    this.dataid = getUrlParam('dataid');
  }

}

ecodeSDK.exp(TotEditStore);

