"use strict";

var _WeaverMobile = WeaverMobile,
    ActivityIndicator = _WeaverMobile.ActivityIndicator,
    Result = _WeaverMobile.Result; // 页面加载中效果处理

var renderLoading = function renderLoading(loading) {
  return React.createElement("div", {
    className: "demo-loading"
  }, React.createElement(ActivityIndicator, {
    size: "large"
  }), React.createElement("div", {
    style: {
      marginTop: 18
    }
  }, "Loading..."));
}; // 无权限处理


var renderNoright = function renderNoright() {
  return React.createElement(Result, {
    title: "\u5BF9\u4E0D\u8D77\uFF0C\u60A8\u6682\u65F6\u6CA1\u6709\u6743\u9650!"
  });
}; // 暂无数据处理


var renderNoData = function renderNoData() {
  return React.createElement(Result, {
    title: "\u6682\u65E0\u6570\u636E"
  });
}; //查询地址栏参数


var getUrlParam = function getUrlParam(name) {
  var reg = new RegExp("(\\?|\&)" + name + "=([^&]*)(\&|$)", "i");
  var r = window.location.href.match(reg);
  if (r != null) return unescape(r[2]);
  return null;
};

var util = {
  renderNoData: renderNoData,
  renderNoright: renderNoright,
  renderLoading: renderLoading,
  getUrlParam: getUrlParam
};
ecodeSDK.exp(util);
