"use strict";

var _class;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Stepper = _WeaverMobile.Stepper,
    Drawer = _WeaverMobile.Drawer;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var AgreeItem = Checkbox.AgreeItem;
var Item = List.Item;
var CommitLetterStore = ecodeSDK.imp(CommitLetterStore);
var CommitLetterStoreData = new CommitLetterStore();
var API = ecodeSDK.imp(API);

var _ecodeSDK$imp = ecodeSDK.imp(util),
    getUrlParam = _ecodeSDK$imp.getUrlParam;

var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var HomePage = withRouter(_class = observer(_class =
/*#__PURE__*/
function (_React$Component) {
  _inherits(HomePage, _React$Component);

  function HomePage(props) {
    var _this;

    _classCallCheck(this, HomePage);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(HomePage).call(this, props));
    _this.state = {};
    _this.doSubmit = _this.doSubmit.bind(_assertThisInitialized(_this));
    _this.totOnline = _this.totOnline.bind(_assertThisInitialized(_this));
    _this.totInput = _this.totInput.bind(_assertThisInitialized(_this));
    _this.totList = _this.totList.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(HomePage, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = '业绩在线';
      var cookies = document.cookie;
      var list = cookies.split("; ");

      for (var i = 0; i < list.length; i++) {
        var arr = list[i].split("=");
        if (arr[0] == 'loginidweaver') console.log(222222, decodeURIComponent(arr[1]));
      }
    }
  }, {
    key: "doSubmit",
    value: function doSubmit(dataid) {}
  }, {
    key: "getCookie",
    value: function getCookie(name) {
      var cookies = document.cookie;
      var list = cookies.split("; ");

      for (var i = 0; i < list.length; i++) {
        var arr = list[i].split("=");
        if (arr[0] == name) return decodeURIComponent(arr[1]);
      }

      return "";
    } //TOT在线列表

  }, {
    key: "totList",
    value: function totList() {
      location.href = "/spa/custom/static4mobile/index.html#/cs/app/84db4b9ad17c471592c82e5cf0325768_TotList?em_auth_userid=290304";
    } //TOT填写

  }, {
    key: "totInput",
    value: function totInput() {
      location.href = "/spa/custom/static4mobile/index.html#/cs/app/00b4c3afe41744c080d56ad3822299f2_TotOnline?em_auth_userid=273381";
    } //TOT编辑

  }, {
    key: "totOnline",
    value: function totOnline() {
      location.href = "/spa/custom/static4mobile/index.html#/cs/app/992a988e2cee4834a5a850adb091d112_TotInput?em_auth_userid=290304";
    }
  }, {
    key: "render",
    value: function render() {
      var zycsStr = CommitLetterStoreData.zycsStr,
          dataid = CommitLetterStoreData.dataid;
      return React.createElement(RouteLayout, {
        "homePage-route-layout": true,
        style: {
          height: '100%'
        }
      }, React.createElement("div", {
        className: "homePage-route-layout",
        style: {
          display: 'flex',
          flexDirection: 'column',
          height: 'calc(100vh)',
          background: "url('${appRes}/background.png')",
          backgroundSize: '100% 100%',
          backgroundRepeat: 'no-repeat'
        }
      }, React.createElement("div", {
        className: "wrapperA"
      }, React.createElement("div", null, React.createElement("div", null, React.createElement("img", {
        src: "${appRes}/icon.png",
        style: {
          width: 98,
          height: 88
        }
      })), React.createElement("div", {
        className: "contentB"
      }, "\u4E1A\u7EE9\u5728\u7EBF")), React.createElement("div", null, "JD & PM Online"), React.createElement("div", null, "TOT--Think big, go small, with deep thinking."), React.createElement("div", null, "\u6700\u91CD\u8981\u7684\u4E8B\u60C5\u53EA\u6709\u4E00\u4EF6\uFF01")), React.createElement("div", {
        className: "wrapperB"
      }, React.createElement("div", null, React.createElement("div", null, React.createElement("div", null, React.createElement("div", null, React.createElement("img", {
        src: "${appRes}/icon1.png"
      })), React.createElement("div", {
        className: "disc"
      }, "JD\u5728\u7EBF")), React.createElement("div", null, "Job Description Online")), React.createElement("div", {
        onClick: this.totList
      }, React.createElement("div", null, React.createElement("div", null, React.createElement("img", {
        src: "${appRes}/icon2.png"
      })), React.createElement("div", {
        className: "disc"
      }, "TOT\u5728\u7EBF")), React.createElement("div", null, "The ONE Thing View")), React.createElement("div", null, React.createElement("div", null, React.createElement("div", null, React.createElement("img", {
        src: "${appRes}/icon3.png"
      })), React.createElement("div", {
        className: "disc"
      }, "\u8BC4\u4F30\u5728\u7EBF")), React.createElement("div", null, "Evaluation Online")), React.createElement("div", {
        onClick: this.totInput
      }, React.createElement("div", null, React.createElement("div", null, React.createElement("img", {
        src: "${appRes}/icon2.png"
      })), React.createElement("div", {
        className: "disc"
      }, "TOT\u586B\u5199")), React.createElement("div", null, "The ONE Thing Edit"))), React.createElement("img", {
        src: "${appRes}/iconBgc.png"
      }))));
    }
  }]);

  return HomePage;
}(React.Component)) || _class) || _class;

ecodeSDK.setCom('${appId}', 'HomePage', HomePage);