const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper,Drawer} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;
const CommitLetterStore = ecodeSDK.imp(CommitLetterStore);
const CommitLetterStoreData =new CommitLetterStore();
const API = ecodeSDK.imp(API);
const { getUrlParam } = ecodeSDK.imp(util);


const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组
@withRouter
@observer
class HomePage extends React.Component {
  constructor(props) {
    super(props); 
    this.state={
    } 
    this.doSubmit = this.doSubmit.bind(this)
    this.totOnline = this.totOnline.bind(this)
    this.totInput = this.totInput.bind(this)
    this.totList = this.totList.bind(this)
  }
  
  componentDidMount(){
    document.title = '业绩在线'
    var cookies = document.cookie;
    var list = cookies.split("; ");
    for(var i = 0; i < list.length; i++) {
      var arr = list[i].split("=");
      if(arr[0] == 'loginidweaver')
        console.log(222222, decodeURIComponent(arr[1]));
    } 
  }

  doSubmit(dataid){
  }
  getCookie(name) {
    var cookies = document.cookie;
    var list = cookies.split("; ");
    for(var i = 0; i < list.length; i++) {
      var arr = list[i].split("=");
      if(arr[0] == name)
        return decodeURIComponent(arr[1]);
    } 
    return "";
}

  //TOT在线列表
  totList(){
    location.href="/spa/custom/static4mobile/index.html#/cs/app/84db4b9ad17c471592c82e5cf0325768_TotList?em_auth_userid=290304";
  }

  //TOT填写
  totInput(){
      location.href="/spa/custom/static4mobile/index.html#/cs/app/00b4c3afe41744c080d56ad3822299f2_TotOnline?em_auth_userid=273381";
  }

  //TOT编辑
  totOnline(){
      location.href="/spa/custom/static4mobile/index.html#/cs/app/992a988e2cee4834a5a850adb091d112_TotInput?em_auth_userid=290304";
  }

  render() {
    const {zycsStr,dataid} = CommitLetterStoreData;
    
    return (

        <RouteLayout homePage-route-layout style={{height:'100%'}}>
          <div className="homePage-route-layout" style={{display:'flex',flexDirection:'column',height:'calc(100vh)',background: "url('${appRes}/background.png')",backgroundSize:'100% 100%',backgroundRepeat:'no-repeat'}}>
            <div className='wrapperA'>
              <div>
                <div><img src="${appRes}/icon.png" style={{width:98,height:88}}/></div>
                <div className='contentB'>业绩在线</div>
              </div>
              <div>
               JD & PM Online
              </div>
              <div>
               TOT--Think big, go small, with deep thinking.
              </div>
              <div>最重要的事情只有一件！</div>
            </div>
            <div className='wrapperB'>
            <div>
              <div>
                <div>
                  <div><img src="${appRes}/icon1.png" /></div>
                  <div className='disc'>JD在线</div>
                </div>
                <div>Job Description Online</div>
              </div>
               <div onClick={this.totList}>
                <div>
                  <div><img src="${appRes}/icon2.png" /></div>
                  <div className='disc'>TOT在线</div>
                </div>
                <div>The ONE Thing View</div>
              </div>
              <div>
                <div>
                  <div><img src="${appRes}/icon3.png" /></div>
                  <div className='disc'>评估在线</div>
                </div>
                <div>Evaluation Online</div>
              </div>
              <div onClick={this.totInput}>
                <div>
                  <div><img src="${appRes}/icon2.png" /></div>
                  <div className='disc'>TOT填写</div>
                </div>
                <div>The ONE Thing Edit</div>
              </div>
          </div>    
              <img src="${appRes}/iconBgc.png" />
            </div>
           
          </div>

        </RouteLayout>

    )
  }
}


ecodeSDK.setCom('${appId}','HomePage',HomePage);