"use strict";

var _WeaverMobile = WeaverMobile,
    Tools = _WeaverMobile.Tools;

var initSalesPlanning = function initSalesPlanning(params) {
  var options = {
    url: '/api/aosmith/annualcontractsign/salesPlanning',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
};

var insertSalesPlanning = function insertSalesPlanning(params) {
  var options = {
    url: '/api/aosmith/annualcontractsign/insertSalesPlanning',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
};

var API = {
  initSalesPlanning: initSalesPlanning,
  insertSalesPlanning: insertSalesPlanning
};
ecodeSDK.exp(API);