"use strict";

var _dec, _class, _temp;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Stepper = _WeaverMobile.Stepper,
    Drawer = _WeaverMobile.Drawer,
    Icon = _WeaverMobile.Icon;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var Item = List.Item;
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var Saleplan = (_dec = inject("saleplanStore"), withRouter(_class = _dec(_class = observer(_class = (_temp =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Saleplan, _React$Component);

  function Saleplan(props) {
    var _this;

    _classCallCheck(this, Saleplan);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Saleplan).call(this, props));

    _this.handleReset = function () {//重置方法
    };

    _this.handleSubmit = function () {//提交表单内容并验证
    };

    _this.checkAILink = function (isAI) {
      //5、	选择AI-LiNK智慧集成系统时，下方出现壁挂炉和空调的字段，不选则不出现
      //10、	选择A时带出壁挂炉和空调的任务。 0 : 可以操作 1 ： 不允许操作
      //11、	选择A时则需要校验此客户是否可以选择此场景并进行提示并直接变灰，通过客户信息表判断，而该选没选的也要进行提示。
      var saleplanStore = _this.props.saleplanStore;

      if (isAI == '1') {
        //不允许操作AI-LiNK智慧集成系统
        saleplanStore.doNoAllowAI();
      } else if (isAI == '0') {
        //允许操作AI-LiNK智慧集成系统
        saleplanStore.doAllowAI();
      }
    };

    _this.checkHLLink = function () {
      var saleplanStore = _this.props.saleplanStore;
      saleplanStore.checkHLLink();
    };

    _this.checkCJLink = function () {
      var saleplanStore = _this.props.saleplanStore;
      saleplanStore.checkCJLink();
    };

    _this.checkPTDP = function () {
      var saleplanStore = _this.props.saleplanStore;
      saleplanStore.checkPTDP();
    };

    _this.updateZhjcV = function (v) {
      var saleplanStore = _this.props.saleplanStore;
      saleplanStore.updateZhjcV(v);
    };

    _this.updateZhhlV = function (v) {
      var saleplanStore = _this.props.saleplanStore;
      saleplanStore.updateZhhlV(v);
    };

    _this.updateCjdpV = function (v) {
      var saleplanStore = _this.props.saleplanStore;
      saleplanStore.updateCjdpV(v);
    };

    _this.updatePtdpV = function (v) {
      var saleplanStore = _this.props.saleplanStore;
      saleplanStore.updatePtdpV(v);
    };

    return _this;
  }

  _createClass(Saleplan, [{
    key: "componentWillMount",
    value: function componentWillMount() {// 初始化渲染页面
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = '销售计划';
      var saleplanStore = this.props.saleplanStore;
      saleplanStore.initData();
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _ecodeSDK$imp = ecodeSDK.imp(util),
          renderNoright = _ecodeSDK$imp.renderNoright,
          renderLoading = _ecodeSDK$imp.renderLoading;

      var saleplanStore = this.props.saleplanStore;
      var loading = saleplanStore.loading,
          hasRight = saleplanStore.hasRight,
          yymbhj = saleplanStore.yymbhj,
          zzl = saleplanStore.zzl,
          error_html = saleplanStore.error_html,
          success_html = saleplanStore.success_html,
          nocheckAll = saleplanStore.nocheckAll,
          closNoCheckAll = saleplanStore.closNoCheckAll,
          isAI = saleplanStore.isAI,
          aiDisabled = saleplanStore.aiDisabled,
          aiChecked = saleplanStore.aiChecked,
          aiEditable = saleplanStore.aiEditable,
          zhjc_v = saleplanStore.zhjc_v,
          ptChecked = saleplanStore.ptChecked,
          ptEditable = saleplanStore.ptEditable,
          ptdp_v = saleplanStore.ptdp_v,
          hlChecked = saleplanStore.hlChecked,
          hlEditable = saleplanStore.hlEditable,
          zhhl_v = saleplanStore.zhhl_v,
          cjChecked = saleplanStore.cjChecked,
          cjEditable = saleplanStore.cjEditable,
          cjdp_v = saleplanStore.cjdp_v,
          jyq_yymb = saleplanStore.jyq_yymb,
          jyq_wnysmb = saleplanStore.jyq_wnysmb,
          jyq_dxrw = saleplanStore.jyq_dxrw,
          jyq_bl = saleplanStore.jyq_bl,
          jyq_zzl = saleplanStore.jyq_zzl,
          jyq_ck = saleplanStore.jyq_ck,
          jyd_yymb = saleplanStore.jyd_yymb,
          jyd_wnysmb = saleplanStore.jyd_wnysmb,
          jyd_dxrw = saleplanStore.jyd_dxrw,
          jyd_bl = saleplanStore.jyd_bl,
          jyd_zzl = saleplanStore.jyd_zzl,
          jyd_ck = saleplanStore.jyd_ck,
          js_yymb = saleplanStore.js_yymb,
          js_wnysmb = saleplanStore.js_wnysmb,
          js_dxrw = saleplanStore.js_dxrw,
          js_bl = saleplanStore.js_bl,
          js_zzl = saleplanStore.js_zzl,
          js_ck = saleplanStore.js_ck,
          yz_yymb = saleplanStore.yz_yymb,
          yz_wnysmb = saleplanStore.yz_wnysmb,
          yz_dxrw = saleplanStore.yz_dxrw,
          yz_bl = saleplanStore.yz_bl,
          yz_zzl = saleplanStore.yz_zzl,
          yz_ck = saleplanStore.yz_ck,
          st_yymb = saleplanStore.st_yymb,
          st_wnysmb = saleplanStore.st_wnysmb,
          st_dxrw = saleplanStore.st_dxrw,
          st_bl = saleplanStore.st_bl,
          st_zzl = saleplanStore.st_zzl,
          st_ck = saleplanStore.st_ck,
          bgl_yymb = saleplanStore.bgl_yymb,
          bgl_wnysmb = saleplanStore.bgl_wnysmb,
          bgl_dxrw = saleplanStore.bgl_dxrw,
          bgl_bl = saleplanStore.bgl_bl,
          bgl_zzl = saleplanStore.bgl_zzl,
          bglRead = saleplanStore.bglRead,
          updateBGL_yymb = saleplanStore.updateBGL_yymb,
          bgl_dxflag = saleplanStore.bgl_dxflag,
          closeBgldx = saleplanStore.closeBgldx,
          confirmBgldx = saleplanStore.confirmBgldx,
          bgl_ck = saleplanStore.bgl_ck,
          checkBGL_yymb = saleplanStore.checkBGL_yymb,
          kt_yymb = saleplanStore.kt_yymb,
          kt_wnysmb = saleplanStore.kt_wnysmb,
          kt_dxrw = saleplanStore.kt_dxrw,
          kt_bl = saleplanStore.kt_bl,
          kt_zzl = saleplanStore.kt_zzl,
          ktRead = saleplanStore.ktRead,
          updateKT_yymb = saleplanStore.updateKT_yymb,
          kt_dxflag = saleplanStore.kt_dxflag,
          closeKtdx = saleplanStore.closeKtdx,
          confirmKtdx = saleplanStore.confirmKtdx,
          kt_ck = saleplanStore.kt_ck,
          checkKT_yymb = saleplanStore.checkKT_yymb,
          showValid = saleplanStore.showValid,
          showNoAllowAI = saleplanStore.showNoAllowAI,
          doSubmit = saleplanStore.doSubmit,
          checkHLLink = saleplanStore.checkHLLink,
          initData = saleplanStore.initData,
          updateYymbhj = saleplanStore.updateYymbhj,
          closeValid = saleplanStore.closeValid,
          closNoAllowAI = saleplanStore.closNoAllowAI,
          nextPage = saleplanStore.nextPage,
          debounce = saleplanStore.debounce,
          reduceBGL = saleplanStore.reduceBGL,
          addBGL = saleplanStore.addBGL,
          reduceKT = saleplanStore.reduceKT,
          addKT = saleplanStore.addKT,
          msgFlag = saleplanStore.msgFlag,
          msghtml = saleplanStore.msghtml,
          showMsg = saleplanStore.showMsg,
          closeMsg = saleplanStore.closeMsg,
          confirmMsg = saleplanStore.confirmMsg; // 从后台取数据 和 方法

      if (!hasRight && !loading) {
        // 无权限处理
        return renderNoright();
      }

      return React.createElement("div", {
        key: "salePlanRoutePage",
        className: "saleplan-route-layout"
      }, React.createElement("div", {
        style: {
          width: '100%',
          position: 'relative'
        }
      }, React.createElement("div", {
        className: "sale-scene-container"
      }, React.createElement("div", {
        className: "sale-scene-title"
      }, "\u8BF7\u9884\u4F30\u4EE5\u4E0B\u573A\u666F\u7684\u9500\u552E\u89C4\u6A21"), React.createElement("i", {
        className: "list-icon"
      }), React.createElement("div", {
        className: "sale-scene-item"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-scene-checkbox",
        checked: aiChecked,
        disabled: aiDisabled,
        onChange: function onChange() {
          _this2.checkAILink(isAI);

          updateYymbhj();
        }
      }, "AI-LiNK\u667A\u6167\u96C6\u6210\u7CFB\u7EDF", React.createElement("span", {
        className: "scene-desc"
      }, "(\u6307\u5305\u542B\u51B7\u6696\u98CE\u6C34\u7684\u5168\u5C4B\u4E92\u8054\u7C7B\u9500\u552E)")), React.createElement(InputItem, {
        type: "number",
        className: "sales-volume",
        editable: aiEditable,
        value: zhjc_v,
        onChange: function onChange(v) {
          console.log(44444, v, v.replace(/[^\d]/g, ''));

          _this2.updateZhjcV(v);
        }
      }), React.createElement("span", {
        className: "unit"
      }, "\u4E07\u5143")), React.createElement("div", {
        className: "sale-scene-item"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-scene-checkbox",
        checked: hlChecked,
        onChange: function onChange() {
          _this2.checkHLLink();

          updateYymbhj();
        }
      }, "AI-LiNK\u667A\u6167\u4E92\u8054\u5957\u7CFB", React.createElement("span", {
        className: "scene-desc"
      }, "(\u6307\u5305\u542B\u53A8\u623F\u5957\u7CFB\u3001\u65B0\u98CE\u5957\u7CFB\u3001\u91C7\u6696\u5957\u7CFB\u7B49\u667A\u6167\u4E92\u8054\u7C7B\u9500\u552E)")), React.createElement(InputItem, {
        type: "number",
        className: "sales-volume",
        editable: hlEditable,
        value: zhhl_v,
        onChange: function onChange(v) {
          return _this2.updateZhhlV(v);
        }
      }), React.createElement("span", {
        className: "unit"
      }, "\u4E07\u5143")), React.createElement("div", {
        className: "sale-scene-item"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-scene-checkbox",
        checked: cjChecked,
        onChange: function onChange() {
          _this2.checkCJLink();

          updateYymbhj();
        }
      }, "AI-LiNK\u8D85\u7EA7\u5355\u54C1", React.createElement("span", {
        className: "scene-desc"
      }, "(\u6307Ai\u7248\u548CWi\u7248\u5355\u54C1\u9500\u552E)")), React.createElement(InputItem, {
        type: "number",
        className: "sales-volume",
        editable: cjEditable,
        value: cjdp_v,
        onChange: function onChange(v) {
          return _this2.updateCjdpV(v);
        }
      }), React.createElement("span", {
        className: "unit"
      }, "\u4E07\u5143")), React.createElement("div", {
        className: "sale-scene-item"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-scene-checkbox",
        checked: ptChecked,
        onChange: function onChange() {
          _this2.checkPTDP();

          updateYymbhj();
        }
      }, "\u666E\u901A\u5355\u54C1\u9500\u552E"), React.createElement(InputItem, {
        type: "number",
        className: "sales-volume",
        editable: ptEditable,
        value: ptdp_v,
        onChange: function onChange(v) {
          return _this2.updatePtdpV(v);
        }
      }), React.createElement("span", {
        className: "unit"
      }, "\u4E07\u5143")), React.createElement("div", {
        className: "sale-count"
      }, React.createElement("div", null, React.createElement("span", {
        className: "count-type"
      }, "\u8425\u4E1A\u76EE\u6807\u5408\u8BA1:"), React.createElement("span", {
        className: "count-value"
      }, yymbhj, React.createElement("span", {
        className: "unit"
      }, "\u4E07\u5143")), " "), React.createElement("div", null, React.createElement("span", {
        className: "count-type"
      }, "\u589E\u957F\u7387:"), React.createElement("span", {
        className: "count-value"
      }, zzl, "%"))))), React.createElement("div", {
        className: "sale-detail"
      }, React.createElement("img", {
        src: "/interface/aos/contract/image/icon.png"
      }), "\u6388\u6743\u64CD\u4F5C\u54C1\u7C7B\u53CA\u9500\u552E\u4EFB\u52A1"), React.createElement("div", {
        className: "sale-type-task-container"
      }, React.createElement("div", {
        className: "t-head"
      }, React.createElement("div", {
        className: "t-column type"
      }, "\u54C1\u7C7B"), React.createElement("div", {
        className: "t-column target"
      }, "\u76EE\u6807(\u4E07\u5143)"), React.createElement("div", {
        className: "t-column rate"
      }, "\u589E\u957F\u7387")), React.createElement("div", {
        className: "t-body"
      }, React.createElement("ul", null, React.createElement("li", {
        className: "sale-type-item"
      }, React.createElement("div", {
        className: "t-column"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-type-checkbox",
        disabled: true,
        checked: jyd_ck
      }, "\u7535\u7CFB\u5217")), React.createElement("div", {
        className: "t-column"
      }, jyd_yymb), React.createElement("div", {
        className: "t-column"
      }, jyd_zzl, "%")), React.createElement("li", {
        className: "sale-type-item"
      }, React.createElement("div", {
        className: "t-column"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-type-checkbox",
        disabled: true,
        checked: jyq_ck
      }, "\u6C14\u7CFB\u5217")), React.createElement("div", {
        className: "t-column"
      }, jyq_yymb), React.createElement("div", {
        className: "t-column"
      }, jyq_zzl, "%")), React.createElement("li", {
        className: "sale-type-item"
      }, React.createElement("div", {
        className: "t-column"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-type-checkbox",
        disabled: true,
        checked: js_ck
      }, "\u51C0\u6C34\u7CFB\u5217")), React.createElement("div", {
        className: "t-column"
      }, js_yymb), React.createElement("div", {
        className: "t-column"
      }, js_zzl, "%")), React.createElement("li", {
        className: "sale-type-item"
      }, React.createElement("div", {
        className: "t-column"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-type-checkbox",
        disabled: true,
        checked: yz_ck
      }, "\u53A8\u7535\u7CFB\u5217")), React.createElement("div", {
        className: "t-column"
      }, yz_yymb), React.createElement("div", {
        className: "t-column"
      }, yz_zzl, "%")), React.createElement("li", {
        className: "sale-type-item"
      }, React.createElement("div", {
        className: "t-column"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-type-checkbox",
        disabled: true,
        checked: st_ck
      }, "\u751F\u6001\u7CFB\u5217")), React.createElement("div", {
        className: "t-column"
      }, st_yymb), React.createElement("div", {
        className: "t-column"
      }, st_zzl, "%")), React.createElement("li", {
        className: "sale-type-item"
      }, React.createElement("div", {
        className: "t-column"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-type-checkbox",
        disabled: true,
        checked: bgl_ck
      }, "\u58C1\u6302\u7089\u7CFB\u5217")), React.createElement("div", {
        className: "t-column-step"
      }, React.createElement(Icon, {
        type: "minus",
        size: "xxs",
        onClick: function onClick(v) {
          reduceBGL();
        }
      }), React.createElement(InputItem, {
        type: "digit",
        className: "sales-volume",
        editable: bglRead,
        value: bgl_yymb,
        onChange: function onChange(v) {
          updateBGL_yymb(v), checkBGL_yymb();
        }
      }), React.createElement(Icon, {
        type: "plus",
        size: "xxs",
        onClick: function onClick(v) {
          addBGL();
        }
      })), React.createElement("div", {
        className: "t-column"
      }, bgl_zzl, "%")), React.createElement("li", {
        className: "sale-type-item"
      }, React.createElement("div", {
        className: "t-column"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-type-checkbox",
        disabled: true,
        checked: kt_ck
      }, "\u7A7A\u8C03\u7CFB\u5217")), React.createElement("div", {
        className: "t-column-step"
      }, React.createElement(Icon, {
        type: "minus",
        size: "xxs",
        onClick: function onClick(v) {
          reduceKT();
        }
      }), React.createElement(InputItem, {
        type: "digit",
        className: "sales-volume",
        editable: ktRead,
        value: kt_yymb,
        onChange: function onChange(v) {
          updateKT_yymb(v), checkKT_yymb();
        }
      }), React.createElement(Icon, {
        type: "plus",
        size: "xxs",
        onClick: function onClick(v) {
          addKT();
        }
      })), React.createElement("div", {
        className: "t-column"
      }, kt_zzl, "%")))), React.createElement("div", {
        className: "remark"
      }, React.createElement("div", {
        style: {
          display: 'flex',
          alignItems: 'center'
        }
      }, "\u6CE8\uFF1A", React.createElement(CheckboxItem, {
        key: "",
        className: "sale-type-checkbox",
        disabled: true
      }, React.createElement("span", {
        style: {
          fontSize: '12px',
          color: '#9E9E9E'
        }
      }, "\u8868\u793A\u60A8\u6CA1\u6709\u88AB\u6388\u6743\u64CD\u4F5C\u8BE5\u54C1\u7C7B"))))), React.createElement("div", {
        className: showValid ? "valid-info-box" : "valid-info-box valid-info-hide"
      }, React.createElement("i", {
        onClick: closeValid,
        className: "close-icon"
      }), React.createElement("div", {
        className: "valid-info",
        dangerouslySetInnerHTML: {
          __html: error_html
        }
      }), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: nextPage
      }, "\u4E0B\u4E00\u6B65"))), React.createElement("div", {
        className: msgFlag ? "valid-info-box" : "valid-info-box valid-info-hide"
      }, React.createElement("i", {
        onClick: closeMsg,
        className: "close-icon"
      }), React.createElement("div", {
        className: "valid-info",
        dangerouslySetInnerHTML: {
          __html: msghtml
        }
      }), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: confirmMsg
      }, "\u786E\u5B9A"))), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: doSubmit
      }, "\u4E0B\u4E00\u6B65")), (showValid || msgFlag) && React.createElement(Drawer, {
        className: "my-drawer",
        style: {
          minHeight: document.documentElement.clientHeight + 500
        },
        enableDragHandle: true,
        contentStyle: {
          color: '#A6A6A6',
          textAlign: 'center',
          paddingTop: 42
        },
        open: showValid || msgFlag,
        onOpenChange: closeValid,
        position: "bottom"
      }));
    }
  }]);

  return Saleplan;
}(React.Component), _temp)) || _class) || _class) || _class);
ecodeSDK.exp(Saleplan);