"use strict";

var _dec, _class, _temp;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Stepper = _WeaverMobile.Stepper;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var Item = List.Item;
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var RebateClause = (_dec = inject("rebateClauseStore"), withRouter(_class = _dec(_class = observer(_class = (_temp =
/*#__PURE__*/
function (_React$Component) {
  _inherits(RebateClause, _React$Component);

  function RebateClause(props) {
    var _this;

    _classCallCheck(this, RebateClause);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(RebateClause).call(this, props));

    _this.handleReset = function () {//重置方法
    };

    _this.handleSubmit = function () {//提交表单内容并验证
    };

    return _this;
  }

  _createClass(RebateClause, [{
    key: "componentWillMount",
    value: function componentWillMount() {// 初始化渲染页面
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = '基础返利';
      var rebateClauseStore = this.props.rebateClauseStore;
      rebateClauseStore.getCommonPolicyData();
      rebateClauseStore.initData();
    }
  }, {
    key: "render",
    value: function render() {
      var _ecodeSDK$imp = ecodeSDK.imp(util),
          renderNoright = _ecodeSDK$imp.renderNoright,
          renderLoading = _ecodeSDK$imp.renderLoading;

      var rebateClauseStore = this.props.rebateClauseStore;
      var loading = rebateClauseStore.loading,
          hasRight = rebateClauseStore.hasRight,
          doSubmit = rebateClauseStore.doSubmit,
          lookCondition = rebateClauseStore.lookCondition,
          data = rebateClauseStore.data,
          agentInfo = rebateClauseStore.agentInfo;
      var _agentInfo$khlx = agentInfo.khlx,
          khlx = _agentInfo$khlx === void 0 ? '' : _agentInfo$khlx;

      if (!hasRight && !loading) {
        // 无权限处理
        return renderNoright();
      }

      return React.createElement(RouteLayout, null, React.createElement("div", {
        key: "rebateClauseRoutePage",
        className: "rebateClause-route-layout"
      }, React.createElement("div", null, React.createElement("div", {
        className: "rebate-container tb-container"
      }, React.createElement("div", {
        className: "t-head"
      }, React.createElement("div", {
        className: "t-column rebate-type"
      }, "\u8FD4\u5229\u7C7B\u578B"), React.createElement("div", {
        className: "t-column rebate-rate"
      }, "\u8FD4\u5229\u70B9\u4F4D"), React.createElement("div", {
        className: "t-column rebate-condition"
      }, "\u53D6\u5F97\u6761\u4EF6")), React.createElement("div", {
        className: "t-body"
      }, React.createElement("ul", null, data.map(function (item, index) {
        return React.createElement("li", {
          className: "rebate-item tb-item"
        }, React.createElement("div", {
          className: "t-column"
        }, item.fllx), React.createElement("div", {
          className: "t-column"
        }, item.fldw, "%"), React.createElement("div", {
          className: "t-column opt-column",
          onClick: function onClick() {
            lookCondition(item);
          }
        }, React.createElement("i", {
          className: item.isExpand ? "up" : "down"
        })), React.createElement("div", {
          className: item.isExpand ? "expand-info" : "expand-info hide-info",
          dangerouslySetInnerHTML: {
            __html: item.qdtj
          }
        }));
      })))), khlx != "9" && khlx != "13" && React.createElement("div", {
        className: "remark"
      }, React.createElement("div", null, "*\u6CE8\uFF1A"), React.createElement("div", null, "1\u3001\u5B63\u8FD4\u3001\u5E74\u8FD4\u9002\u7528\u4E8EA.O.\u53F2\u5BC6\u65AF\u54C1\u724C\u9664VAC\u4EE5\u5916\u7684\u5176\u4ED6\u54C1\u7C7B\u3002"), React.createElement("div", null, "2\u3001\u73B0\u8FD4\u3001\u65E0\u9000\u8D27\u8FD4\u9002\u7528\u4E8E\u53CC\u54C1\u724C\u5168\u54C1\u7C7B\u3002"))), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: doSubmit
      }, "\u4E0B\u4E00\u6B65"))));
    }
  }]);

  return RebateClause;
}(React.Component), _temp)) || _class) || _class) || _class);
ecodeSDK.exp(RebateClause);