"use strict";

var _dec, _class, _temp;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Stepper = _WeaverMobile.Stepper;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var Item = List.Item;
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var SmartInternet = (_dec = inject("smartInternetStore"), withRouter(_class = _dec(_class = observer(_class = (_temp =
/*#__PURE__*/
function (_React$Component) {
  _inherits(SmartInternet, _React$Component);

  function SmartInternet(props) {
    var _this;

    _classCallCheck(this, SmartInternet);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(SmartInternet).call(this, props));

    _this.handleReset = function () {//重置方法
    };

    _this.handleSubmit = function () {//提交表单内容并验证
    };

    return _this;
  }

  _createClass(SmartInternet, [{
    key: "componentWillMount",
    value: function componentWillMount() {// 初始化渲染页面
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = '冷暖新风';
      var smartInternetStore = this.props.smartInternetStore;
      smartInternetStore.getSmartInternetData();
      smartInternetStore.initData();
    }
  }, {
    key: "render",
    value: function render() {
      var _ecodeSDK$imp = ecodeSDK.imp(util),
          renderNoright = _ecodeSDK$imp.renderNoright,
          renderLoading = _ecodeSDK$imp.renderLoading;

      var smartInternetStore = this.props.smartInternetStore;
      var loading = smartInternetStore.loading,
          hasRight = smartInternetStore.hasRight,
          doSubmit = smartInternetStore.doSubmit,
          lookPolicyCondition = smartInternetStore.lookPolicyCondition,
          categoryData = smartInternetStore.categoryData,
          policyData1 = smartInternetStore.policyData1,
          policyData2 = smartInternetStore.policyData2,
          agentInfo = smartInternetStore.agentInfo; // 从后台取数据 和 方法

      var _agentInfo$khlx = agentInfo.khlx,
          khlx = _agentInfo$khlx === void 0 ? '' : _agentInfo$khlx;
      var policyDataFirst = policyData1[0] || {};

      if (!hasRight && !loading) {
        // 无权限处理
        return renderNoright();
      }

      return React.createElement("div", {
        key: "smartInternetRoutePage",
        className: "smartInternet-route-layout"
      }, React.createElement("div", null, React.createElement("div", {
        className: "title"
      }, React.createElement("img", {
        src: "/interface/aos/contract/image/icon.png"
      }), "\u63D0\u8D27\u653F\u7B56"), React.createElement("div", {
        className: "stock-policy-container tb-container"
      }, React.createElement("div", {
        className: "t-head"
      }, React.createElement("div", {
        className: "t-column category"
      }, "\u54C1\u7C7B"), React.createElement("div", {
        className: "t-column policy"
      }, "\u63D0\u8D27\u653F\u7B56")), React.createElement("div", {
        className: "t-body"
      }, React.createElement("ul", null, categoryData.map(function (item, index) {
        return React.createElement("li", {
          className: "category-item tb-item"
        }, React.createElement("div", {
          className: "t-column"
        }, item.plmc), React.createElement("div", {
          className: "t-column"
        }, item.thzc));
      })))), khlx != "9" && khlx != "13" && React.createElement("div", {
        className: "remark"
      }, React.createElement("div", null, "*\u6CE8\uFF1A\u51FA\u5382\u4EF7\u4EA7\u54C1\u53C2\u89C1\u516C\u53F8\u53D1\u5E03\u4EF7\u683C\u8868\u3002"))), policyDataFirst.fllx && React.createElement("div", null, React.createElement("div", {
        className: "title"
      }, React.createElement("img", {
        src: "/interface/aos/contract/image/icon.png"
      }), "\u9500\u552E\u652F\u6301\u653F\u7B56"), React.createElement("div", {
        className: "policy-container tb-container"
      }, React.createElement("div", {
        className: "t-head"
      }, React.createElement("div", {
        className: "t-column policy-type"
      }, "\u8FD4\u5229\u7C7B\u578B"), React.createElement("div", {
        className: "t-column policy-rate"
      }, "\u8FD4\u5229\u70B9\u4F4D"), React.createElement("div", {
        className: "t-column policy-category"
      }, "\u9002\u7528\u54C1\u7C7B"), React.createElement("div", {
        className: "t-column policy-condition"
      }, "\u53D6\u5F97\u6761\u4EF6")), React.createElement("div", {
        className: "t-body"
      }, React.createElement("ul", null, React.createElement("li", {
        className: "policy-item tb-item"
      }, React.createElement("div", {
        className: "t-column"
      }, policyDataFirst.fllx), React.createElement("div", {
        className: "t-column"
      }, policyDataFirst.fldw), React.createElement("div", {
        className: "t-column"
      }, policyDataFirst.sypl), React.createElement("div", {
        className: "t-column opt-column",
        onClick: function onClick() {
          lookPolicyCondition(policyDataFirst);
        }
      }, React.createElement("i", {
        className: policyDataFirst.isExpand ? "up" : "down"
      })), React.createElement("div", {
        className: policyDataFirst.isExpand ? "expand-info" : "expand-info hide-info",
        dangerouslySetInnerHTML: {
          __html: policyDataFirst.qdtj
        }
      })), policyData2.map(function (item, index) {
        return item.fllx && React.createElement("li", {
          className: "policy-item tb-item special-item"
        }, React.createElement("div", {
          className: "t-column"
        }, React.createElement("span", null, item.fllx)), React.createElement("div", {
          style: {
            flexGrow: 1
          }
        }), React.createElement("div", {
          className: "t-column"
        }, item.fldw), React.createElement("div", {
          className: "t-column opt-column",
          onClick: function onClick() {
            lookPolicyCondition(item);
          }
        }, React.createElement("i", {
          className: item.isExpand ? "up" : "down"
        })), React.createElement("div", {
          className: item.isExpand ? "expand-info" : "expand-info hide-info",
          dangerouslySetInnerHTML: {
            __html: item.qdtj
          }
        }));
      }), policyData1.map(function (item, index) {
        if (index > 0 && item.fllx) {
          return item.fllx && React.createElement("li", {
            className: "policy-item tb-item"
          }, React.createElement("div", {
            className: "t-column"
          }, item.fllx), React.createElement("div", {
            className: "t-column"
          }, item.fldw), React.createElement("div", {
            className: "t-column"
          }, item.sypl), React.createElement("div", {
            className: "t-column opt-column",
            onClick: function onClick() {
              lookPolicyCondition(item);
            }
          }, React.createElement("i", {
            className: item.isExpand ? "up" : "down"
          })), React.createElement("div", {
            className: item.isExpand ? "expand-info" : "expand-info hide-info",
            dangerouslySetInnerHTML: {
              __html: item.qdtj
            }
          }));
        }
      })))), khlx != "9" && khlx != "13" && React.createElement("div", {
        className: "remark"
      }, React.createElement("div", null, "*\u6CE8\uFF1AVAC\u54C1\u7C7B\uFF08V\u4E2D\u592E\u65B0\u98CE\u3001AC\u4E2D\u592E\u7A7A\u8C03\u3001AI-LiNK\u667A\u80FD\u4EF6\uFF09"))), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: doSubmit
      }, "\u4E0B\u4E00\u6B65")));
    }
  }]);

  return SmartInternet;
}(React.Component), _temp)) || _class) || _class) || _class);
ecodeSDK.exp(SmartInternet);