"use strict";

var _WeaverMobile = WeaverMobile,
    Tools = _WeaverMobile.Tools; //人员TOT查看列表

var main_list = function main_list(params) {
  var options = {
    url: '/api/cube/restful/interface/getModeDataPageList/tot_main_list',
    method: 'POST',
    params: params
  };
  return Tools.callApi(options);
}; //人员TOT进展


var jz_list = function jz_list(params) {
  var options = {
    url: '/api/cube/restful/interface/getModeDataPageList/tot_jz_list',
    method: 'POST',
    params: params
  };
  return Tools.callApi(options);
}; //人员TOT骨牌


var gp_list = function gp_list(params) {
  var options = {
    url: '/api/cube/restful/interface/getModeDataPageList/tot_gp_list',
    method: 'POST',
    params: params
  };
  return Tools.callApi(options);
}; //获取人员TOT留言


var getCommentByMainID = function getCommentByMainID(params) {
  var options = {
    url: '/api/cube/restful/interface/getModeDataPageList/tot_getCommentByMainID',
    method: 'POST',
    params: params
  };
  return Tools.callApi(options);
}; //TOT 留言新增更新


var comment = function comment(params) {
  var options = {
    url: '/api/cube/restful/interface/saveOrUpdateModeData/tot_comment',
    method: 'POST',
    params: params
  };
  return Tools.callApi(options);
}; //获取标签基础数据


var getLabel = function getLabel(params) {
  var options = {
    url: '/api/cube/restful/interface/getModeDataPageList/tot_getLabel',
    method: 'POST',
    params: params
  };
  return Tools.callApi(options);
}; //根据员工号获取人员信息


var getEmpInfoByEmpID = function getEmpInfoByEmpID(params) {
  var options = {
    url: '/api/cube/restful/interface/getModeDataPageList/tot_getEmpInfoByEmpID',
    method: 'POST',
    params: params
  };
  return Tools.callApi(options);
};

var API = {
  main_list: main_list,
  jz_list: jz_list,
  gp_list: gp_list,
  getCommentByMainID: getCommentByMainID,
  comment: comment,
  getLabel: getLabel,
  getEmpInfoByEmpID: getEmpInfoByEmpID
};
ecodeSDK.exp(API);