const { observable, action, toJS } = mobx;
const { Form, RouteLayout } = WeaverMobilePage;
const API = ecodeSDK.imp(API);
const { getUrlParam,hex_md5 } = ecodeSDK.imp(util);
 Date.prototype.Format = function (fmt) { // author: meizz
      var o = {
          "M+": this.getMonth() + 1, // 月份
          "d+": this.getDate(), // 日
          "h+": this.getHours(), // 小时
          "m+": this.getMinutes(), // 分
          "s+": this.getSeconds(), // 秒
          "q+": Math.floor((this.getMonth() + 3) / 3), // 季度
          "S": this.getMilliseconds() // 毫秒
      };
      if (/(y+)/.test(fmt))
          fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
      for (var k in o)
          if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
      return fmt;
    }

class TotOnlineStore {

  @observable loading = true; // 页面初始化的loading状态：数据加载成功前后前使用
  @observable hasRight = true; // 判断用户是有权限查看当前页面

  @observable ygbh =''; //userid

  @observable mainList =''; //mainList

  @observable empData ={}; //人员信息
  @observable gpList =[]; //骨牌list
  @observable jzList =[]; //进展list
  @observable lyList =[]; //留言list


  @action 
  initData = () => {
    this.ygbh = getUrlParam('em_auth_userid');
    const currentDateTime = new Date().Format("yyyyMMddhhmmss");
    const Md5 = hex_md5('scm'+'123456'+currentDateTime)
    const datajson = {
              operationinfo:{
                operator:this.ygbh
              },
              mainTable:{
                empID:this.ygbh
              },
              pageInfo:{
                pageNo:"1",
                pageSize:"10"
              },
              header:{
                systemid:"scm",
                currentDateTime,
                Md5
              }
           }


    //根据员工号获取人员信息
    API.getEmpInfoByEmpID({datajson:JSON.stringify(datajson)}).then(action(result => {
      const {result:data} = result;
        console.log('人员信息',JSON.parse(data)[0])
        const {mainTable} = JSON.parse(data)[0];
        this.empData = mainTable;

    }));
    datajson.mainTable={ygbh:this.ygbh}
    const params={
        datajson:JSON.stringify(datajson),
     }
    // TOT主表获取列表
    API.main_list(params).then(action(result => {
        const {result:data} = result;
        this.mainList = JSON.parse(data);
        if(!JSON.parse(data).length) return;
        const {mainTable} = JSON.parse(data)[0];
        const {id} = mainTable;
        datajson.mainTable={
          totzbbh:id
        }
        //骨牌
        API.gp_list({datajson:JSON.stringify(datajson)}).then(action(result => {
          const {result:data} = result;
            console.log(3333333,'gp',JSON.parse(data))
            this.gpList = JSON.parse(data);
        }));
        //进展
        API.jz_list({datajson:JSON.stringify(datajson)}).then(action(result => {
            const {result:data} = result;
            const {mainTable} = JSON.parse(data)[0];
            this.jzList = mainTable;
            console.log(1111111,'进展',mainTable)
         }));
        //获取人员TOT留言
        API.getCommentByMainID({datajson:JSON.stringify(datajson)}).then(action(result => {
          const {result:data} = result;
          this.lyList = JSON.parse(data);
            console.log('留言',JSON.parse(data))
        }));

        
    }));
  }
  



   //TOT 留言新增更新
  @action
  comment = ()=>{
    const currentDateTime = new Date().Format("yyyyMMddhhmmss");
    const Md5 = hex_md5('scm'+'123456'+currentDateTime)
    const params={
       datajson:JSON.stringify({
              "operationinfo":{
                "operator":this.ygbh
              },
              "mainTable":{
                //留言人员编号	lyrybh
                "lyrybh":"",
                //父级留言编号	fjlybh
                "fjlybh":"",
                //留言内容	lynr
                "lynr":"",
                //留言时间	lysj
                "lysj":"",
                //留言排序	lypx
                "lypx":"",
                //TOT主表编号	totzbbh
                "totzbbh":""
              },
              "pageInfo":{
                "pageNo":"1",
                "pageSize":"10"
              },
              "header":{
                "systemid":"scm",
                currentDateTime,
                Md5
              }
           }),
     }
    API.comment(params).then(action(result => {
      const {result:data} = result;
        console.log(2222222,JSON.parse(data))
    }));
  }

  //获取标签基础数据
  @action
  getLabel = ()=>{
    const currentDateTime = new Date().Format("yyyyMMddhhmmss");
    const Md5 = hex_md5('scm'+'123456'+currentDateTime)
    const params={
       datajson:JSON.stringify({
              "operationinfo":{
                "operator":this.ygbh
              },
              "mainTable":{},
              "pageInfo":{
                "pageNo":"1",
                "pageSize":"10"
              },
              "header":{
                "systemid":"scm",
                currentDateTime,
                Md5
              }
           }),
     }
    API.getLabel(params).then(action(result => {
      const {result:data} = result;
        console.log(444444,JSON.parse(data))
    }));
  }
  
}

ecodeSDK.exp(TotOnlineStore);

