"use strict";

var _class, _temp;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    TextareaItem = _WeaverMobile.TextareaItem,
    Popover = _WeaverMobile.Popover,
    Select = _WeaverMobile.Select,
    WingBlank = _WeaverMobile.WingBlank,
    Upload = _WeaverMobile.Upload;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var AgreeItem = Checkbox.AgreeItem;
var Item = List.Item;
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var ProgressThisWeek = withRouter(_class = observer(_class = (_temp =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ProgressThisWeek, _React$Component);

  function ProgressThisWeek(props) {
    var _this;

    _classCallCheck(this, ProgressThisWeek);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ProgressThisWeek).call(this, props));

    _this.actionHandleVisibleChange = function (actionVisible) {
      _this.setState({
        actionVisible: actionVisible
      });
    };

    _this.moonHandleVisibleChange = function (moonVisible) {
      _this.setState({
        moonVisible: moonVisible
      });
    };

    _this.state = {
      actionVisible: false,
      moonVisible: false,
      totContent: '',
      moonContent: '',
      value: '',
      options: [{
        key: '1',
        showname: '1'
      }, {
        key: '2',
        showname: '2'
      }, {
        key: '3',
        showname: '3'
      }]
    };
    _this.handleClick = _this.handleClick.bind(_assertThisInitialized(_this));
    _this.handleSave = _this.handleSave.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(ProgressThisWeek, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = '本周进展';
    }
  }, {
    key: "handleClick",
    value: function handleClick(e) {
      e.target.className = e.target.className == 'iconChecked' ? 'iconUncheck' : 'iconChecked';
    }
  }, {
    key: "handleSave",
    value: function handleSave() {
      console.log(6666666);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _ecodeSDK$imp = ecodeSDK.imp(util),
          renderNoright = _ecodeSDK$imp.renderNoright,
          renderLoading = _ecodeSDK$imp.renderLoading;

      var options = this.state.options;
      return React.createElement("div", {
        key: "dominoesRoutePage",
        className: "dominoes-route-layout"
      }, React.createElement("div", {
        className: "dominoes-content-container"
      }, React.createElement("div", {
        className: "wrapper"
      }, React.createElement("div", {
        className: "content",
        style: {
          justifyContent: 'space-between'
        }
      }, React.createElement("div", null, "\u6210\u679C")), React.createElement("div", null, React.createElement(TextareaItem, {
        rows: 3,
        onBlur: function onBlur(val) {
          _this2.setState({
            totContent: val
          });
        }
      })), React.createElement("div", {
        className: "content",
        style: {
          justifyContent: 'space-between'
        }
      }, React.createElement("div", null, "\u4E0B\u4E00\u6B65\u8BA1\u5212")), React.createElement("div", null, React.createElement(TextareaItem, {
        rows: 3,
        onBlur: function onBlur(val) {
          _this2.setState({
            totContent: val
          });
        }
      })), React.createElement("div", {
        className: "content"
      }, React.createElement("div", null, "\u5F53\u524D\u9047\u5230\u7684\u56F0\u96BE\u53CA\u601D\u8003"), React.createElement(Popover, {
        mask: true,
        overlayClassName: "dominoesName",
        overlayStyle: {
          color: 'currentColor'
        },
        visible: this.state.moonVisible,
        overlay: [React.createElement("div", {
          style: {
            backgroundColor: "rgb(255,253,195)",
            padding: 10,
            color: "rgba(136, 136, 136, 1)"
          }
        }, React.createElement("div", {
          style: {
            margin: "10px 0"
          }
        }, "\u5EFA\u8BAE\uFF1A\u8BF7\u660E\u786E\u5217\u51FA\u5728\u63A8\u5012\u5F53\u524D\u9AA8\u724C\u7684\u8FC7\u7A0B\u4E2D\u9047\u5230\u7684"), React.createElement("div", null, "\u56F0\u96BE\u6216\u969C\u788D"), React.createElement("div", null, "\uFF0C\u79EF\u6781\u601D\u8003\u8FDB\u884C\u539F\u56E0\u5206\u6790\uFF0C\u586B\u5199\u81F3\u4E0B\u65B9\u3002\u5982\u6709\u5FC5\u8981\uFF0C\u8BF7\u4E0E\u60A8\u7684\u4E3B\u7BA1\u6216\u7ECF\u7406\u56DE\u987E\u9AA8\u724C\u53CA\u5173\u952E\u52A8\u4F5C\u3002"))],
        align: {
          overflow: {
            adjustY: 0,
            adjustX: 0
          },
          offset: [-10, 0]
        },
        onVisibleChange: this.moonHandleVisibleChange
      }, React.createElement("img", {
        src: "${appRes}/question.png"
      }))), React.createElement("div", null, React.createElement(TextareaItem, {
        rows: 3,
        onBlur: function onBlur(val) {
          _this2.setState({
            moonContent: val
          });
        }
      })), React.createElement("div", {
        className: "content",
        style: {
          justifyContent: 'space-between'
        }
      }, React.createElement("div", null, "\u70B9\u51FB\u4E0A\u4F20\u9644\u4EF6")), React.createElement("div", null, React.createElement("div", {
        style: {
          minHeight: 30,
          border: '1px solid rgb(187, 187, 187)'
        }
      }, React.createElement(WingBlank, {
        size: "lg"
      }, "\u6587\u4EF6\u4E0A\u4F20"), React.createElement(WingBlank, {
        size: "lg"
      })))), React.createElement("div", {
        className: "save"
      }, React.createElement(Button, {
        onClick: this.handleSave
      }, "\u5220\u9664"), React.createElement(Button, {
        onClick: this.handleSave
      }, "\u4FDD\u5B58"))));
    }
  }]);

  return ProgressThisWeek;
}(React.Component), _temp)) || _class) || _class;

ecodeSDK.exp(ProgressThisWeek);