const { Tools } = WeaverMobile;


//查询供应商信息
const  getCustomerInfo = params => {
  const options = {
    url: '/interface/aos/contract/getCustomerInfo.jsp',
    method:'GET',
    params
  }
  return Tools.callApi(options);
};

//查询热水净水及厨房生态数据
const  getKitchenECData = params => {
  const options = {
    url: '/interface/aos/contract/getKitchenECData.jsp',
    method:'GET',
    params
  }
  return Tools.callApi(options);
};

//查询冷暖新风及智慧互联数据
const  getSmartInternetData = params => {
  const options = {
    url: '/interface/aos/contract/getSmartInternetData.jsp',
    method:'GET',
    params
  }
  return Tools.callApi(options);
};


//查询通用返利条款数据
const  getCommonPolicyData = params => {
  const options = {
    url: '/interface/aos/contract/getCommonPolicyData.jsp',
    method:'GET',
    params
  }
  return Tools.callApi(options);
};

//查询相关交流
const  getContentList = params => {
  const options = {
    url: '/api/workflow/communication/getContentList',
    method:'POST',
    params
  }
  return Tools.callApi(options);
};

// 提交相关交流
const  doSaveContent = params => {
  const options = {
    url: '/api/workflow/communication/doSaveContent',
    method:'POST',
    params
  }
  return Tools.callApi(options);
};

// 获取审批流程
const  getWorkflowRequest = params => {
  const options = {
    url: '/api/workflow/paService/getWorkflowRequest',
    method:'GET',
    params
  }
  return Tools.callApi(options);
};

// 获取审批节点
const  wfstatusnew = params => {
  const options = {
    url: '/api/workflow/reqform/wfstatusnew',
    method:'POST',
    params
  }
  return Tools.callApi(options);
};

// 获取合同签署情况
const  getAgreement = params => {
  const options = {
    url: '/interface/aos/contract/getAgreement.jsp',
    method:'GET',
    params
  }
  return Tools.callApi(options);
};

// 查询dataid
const  getTakeEffectData = params => {
  const options = {
    url: '/interface/aos/contract/getTakeEffectData.jsp',
    method:'GET',
    params
  }
  return Tools.callApi(options);
};

// 催办
const  doSupervise = params => {
  const options = {
    url: '/api/workflow/supervise/doSupervise',
    method:'POST',
    params
  }
  return Tools.callApi(options);
};

const API = {  
  getCustomerInfo,
  getKitchenECData,
  getSmartInternetData,
  getCommonPolicyData,
  getContentList,
  doSaveContent,
  getWorkflowRequest,
  getAgreement,
  doSupervise,
  wfstatusnew
}


ecodeSDK.exp(API);

