"use strict";

var _dec, _class, _temp;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Stepper = _WeaverMobile.Stepper,
    Steps = _WeaverMobile.Steps,
    TextareaItem = _WeaverMobile.TextareaItem;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var Item = List.Item;
var Step = Steps.Step;
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var API = ecodeSDK.imp(API);
var ContractApprove = (_dec = inject("contractApproveStore"), withRouter(_class = _dec(_class = observer(_class = (_temp =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ContractApprove, _React$Component);

  function ContractApprove(props) {
    var _this;

    _classCallCheck(this, ContractApprove);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ContractApprove).call(this, props));

    _this.handleDoSaveContent = function (data) {
      if (!_this.state.textareaValue) {
        Bubble.warning('请输入内容', 1);
        return;
      }

      var contractApproveStore = _this.props.contractApproveStore;
      var getContentList = contractApproveStore.getContentList,
          doSaveContent = contractApproveStore.doSaveContent;
      var baseInfo = WfForm.getBaseInfo();
      var workflowid = baseInfo.workflowid,
          requestid = baseInfo.requestid;
      var params = {
        requestid: requestid,
        workflowid: workflowid
      };
      doSaveContent(_objectSpread({}, params, {
        remark: "<p>".concat(_this.state.textareaValue, "</p>")
      })).then(function (res) {
        console.log(999, res);
        var _res$result = res.result,
            result = _res$result === void 0 ? false : _res$result;

        if (result) {
          _this.textArea.current.clearInput();

          getContentList(params);

          _this.textArea.current.focus();
        }
      });
    };

    _this.inputRef = React.createRef();
    _this.state = {
      textareaValue: ''
    };
    _this.textArea = React.createRef();
    _this.doUrge = _this.doUrge.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(ContractApprove, [{
    key: "componentWillMount",
    value: function componentWillMount() {
      // 初始化渲染页面
      console.log('加载了', this.props);
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = '合同审批';
      var contractApproveStore = this.props.contractApproveStore;
      var getContentList = contractApproveStore.getContentList,
          getWorkflowRequest = contractApproveStore.getWorkflowRequest,
          wfstatusnew = contractApproveStore.wfstatusnew;
      var baseInfo = WfForm.getBaseInfo();
      var kh = WfForm.convertFieldNameToId("kh");
      var hzsjid = WfForm.convertFieldNameToId("hzsjid");
      var khid = WfForm.getFieldValue(kh);
      var hzsjidB = WfForm.getFieldValue(hzsjid);
      console.log('WfForm', khid);
      contractApproveStore.init({
        khid: khid,
        dataid: hzsjidB
      });
      var workflowid = baseInfo.workflowid,
          requestid = baseInfo.requestid;
      var params = {
        requestid: requestid,
        workflowid: workflowid
      };
      getContentList(_objectSpread({}, params, {
        pageSize: 100
      }));
      getWorkflowRequest({
        requestId: requestid
      });
      wfstatusnew({
        requestid: requestid
      });
    }
  }, {
    key: "doSubmit",
    value: function doSubmit() {
      WfForm.doRightBtnEvent("BTN_SUBMIT");
    }
  }, {
    key: "doReject",
    value: function doReject() {
      WfForm.doRightBtnEvent("BTN_REJECTNAME");
    }
  }, {
    key: "doUrge",
    value: function doUrge() {
      var baseInfo = WfForm.getBaseInfo();
      var requestids = baseInfo.requestid,
          f_weaver_belongto_userid = baseInfo.f_weaver_belongto_userid;
      var params = {
        requestids: requestids + '_' + f_weaver_belongto_userid,
        remark: ''
      };
      var contractApproveStore = this.props.contractApproveStore;
      API.doSupervise(params).then(function (res) {
        if (res.result) {
          var getWorkflowRequest = contractApproveStore.getWorkflowRequest;
          getWorkflowRequest({
            requestId: requestids
          });
          Bubble.success('催办成功', 1);
        } else {
          Bubble.success('操作成功', 1);
        }
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _ecodeSDK$imp = ecodeSDK.imp(util),
          renderNoright = _ecodeSDK$imp.renderNoright,
          convertCurrency = _ecodeSDK$imp.convertCurrency;

      var contractApproveStore = this.props.contractApproveStore;
      var loading = contractApproveStore.loading,
          hasRight = contractApproveStore.hasRight,
          lookCondition = contractApproveStore.lookCondition,
          isExpand = contractApproveStore.isExpand,
          cusInfo = contractApproveStore.cusInfo,
          pointData = contractApproveStore.pointData,
          rebateData = contractApproveStore.rebateData,
          sfyjcfl = contractApproveStore.sfyjcfl,
          ecPolicyData1 = contractApproveStore.ecPolicyData1,
          ecPolicyData2 = contractApproveStore.ecPolicyData2,
          categoryData = contractApproveStore.categoryData,
          internetPolicyData1 = contractApproveStore.internetPolicyData1,
          internetPolicyData2 = contractApproveStore.internetPolicyData2,
          commonClauseData = contractApproveStore.commonClauseData,
          lookPolicyCondition = contractApproveStore.lookPolicyCondition,
          replyList = contractApproveStore.replyList,
          workflowRequestData = contractApproveStore.workflowRequestData,
          submitButtonName = contractApproveStore.submitButtonName,
          currentNodeName = contractApproveStore.currentNodeName,
          approveData = contractApproveStore.approveData; // 从后台取数据 和 方法

      var allCategoryData = pointData.concat(categoryData); //提货政策

      var allRebateData = commonClauseData.concat(rebateData); //基础返利

      var _cusInfo$baseInfo = cusInfo.baseInfo,
          baseInfo = _cusInfo$baseInfo === void 0 ? {} : _cusInfo$baseInfo,
          _cusInfo$agentInfo = cusInfo.agentInfo,
          agentInfo = _cusInfo$agentInfo === void 0 ? {} : _cusInfo$agentInfo,
          _cusInfo$protocol = cusInfo.protocol,
          protocol = _cusInfo$protocol === void 0 ? [] : _cusInfo$protocol;
      var _baseInfo$khmc = baseInfo.khmc,
          khmc = _baseInfo$khmc === void 0 ? '' : _baseInfo$khmc,
          _baseInfo$sf = baseInfo.sf,
          sf = _baseInfo$sf === void 0 ? '' : _baseInfo$sf,
          _baseInfo$qy = baseInfo.qy,
          qy = _baseInfo$qy === void 0 ? '' : _baseInfo$qy;
      var baseInfoObj = WfForm.getBaseInfo();
      var f_weaver_belongto_userid = baseInfoObj.f_weaver_belongto_userid;
      var creater = WfForm.getGlobalStore().commonParam.creater;
      var requestType = WfForm.getGlobalStore().commonParam.requestType;
      var _agentInfo$rsjsjcfsty = agentInfo.rsjsjcfstym,
          rsjsjcfstym = _agentInfo$rsjsjcfsty === void 0 ? '1' : _agentInfo$rsjsjcfsty,
          _agentInfo$lxfjzhhlym = agentInfo.lxfjzhhlym,
          lxfjzhhlym = _agentInfo$lxfjzhhlym === void 0 ? '1' : _agentInfo$lxfjzhhlym,
          _agentInfo$tyfltkjzcz = agentInfo.tyfltkjzczc,
          tyfltkjzczc = _agentInfo$tyfltkjzcz === void 0 ? '1' : _agentInfo$tyfltkjzcz,
          _agentInfo$jnyymbhj = agentInfo.jnyymbhj,
          jnyymbhj = _agentInfo$jnyymbhj === void 0 ? '0' : _agentInfo$jnyymbhj,
          _agentInfo$ssfl = agentInfo.ssfl,
          ssfl = _agentInfo$ssfl === void 0 ? '' : _agentInfo$ssfl,
          _agentInfo$khlx = agentInfo.khlx,
          khlx = _agentInfo$khlx === void 0 ? '' : _agentInfo$khlx;
      var ecPolicyDataFirst = ecPolicyData1[0] || {};
      var netPolicyDataFirst = internetPolicyData1[0] || {};
      var workflowData = Array.prototype.slice.call(workflowRequestData);
      var approveDataArr = Array.from(approveData);

      if (approveDataArr.length && workflowData.length) {
        approveDataArr.forEach(function (value) {
          _toConsumableArray(workflowData).forEach(function (val) {
            if (value.nodeid == val.nodeId) {
              value.operatorName = val.operatorName;
              value.operateDate = val.operateDate;
              value.operateTime = val.operateTime;
              value.operateType = val.operateType;
            }
          });
        });
        approveDataArr[approveDataArr.length - 1]['operatorName'] = approveDataArr[approveDataArr.length - 1].list[0].operator;
        approveDataArr[approveDataArr.length - 1].operateDate = workflowData[0].operateDate;
        approveDataArr[approveDataArr.length - 1].operateType = submitButtonName ? submitButtonName : '待审批';
        workflowData.reverse();

        if (workflowData[workflowData.length - 1].operateType != '拒绝') {
          workflowData.push(approveDataArr[approveDataArr.length - 1]);
        }
      }

      if (!hasRight && !loading) {
        // 无权限处理
        return renderNoright();
      }

      return React.createElement("div", {
        key: "contractApprovePage",
        className: "contractApprove-route-layout"
      }, React.createElement("div", {
        className: "wrapper"
      }, React.createElement("div", {
        className: "customer-info-container"
      }, React.createElement("div", {
        className: "info-item"
      }, React.createElement("div", {
        className: "item-label"
      }, "\u5BA2\u6237\u540D\u79F0\uFF1A"), React.createElement("div", {
        className: "item-content item-content-bold"
      }, khmc)), React.createElement("div", {
        className: "info-item"
      }, React.createElement("div", {
        className: "item-label"
      }, "\u4EE3\u7406\u533A\u57DF\uFF1A"), React.createElement("div", {
        className: "item-content"
      }, React.createElement("span", {
        style: {
          marginRight: 5
        }
      }, sf), qy)), React.createElement("div", {
        className: "info-item"
      }, React.createElement("div", {
        className: "item-label"
      }, "\u8425\u4E1A\u76EE\u6807\uFF1A"), React.createElement("div", {
        className: "item-content item-content-bold"
      }, "\u4EBA\u6C11\u5E01 ", React.createElement("span", {
        className: "money"
      }, convertCurrency(jnyymbhj)), " \u4E07\u5143")), React.createElement("div", {
        className: "info-item"
      }, React.createElement("div", {
        className: "item-label"
      }, "\u5BA2\u6237\u7C7B\u578B\uFF1A"), React.createElement("div", {
        className: "item-content",
        style: {
          fontWeight: 700,
          fontSize: 14
        }
      }, ssfl)))), rsjsjcfstym == '0' ? React.createElement("div", {
        className: "section1"
      }, React.createElement("div", null, React.createElement("div", {
        className: "title"
      }, React.createElement("img", {
        src: "/interface/aos/contract/image/icon.png"
      }), "\u63D0\u8D27\u653F\u7B56"), React.createElement("div", {
        className: "points-container tb-container"
      }, React.createElement("div", {
        className: "t-head"
      }, React.createElement("div", {
        className: "t-column point-type"
      }, "\u7CFB\u5217"), React.createElement("div", {
        className: "t-column point1"
      }, "\u57FA\u7840\u6263\u70B9"), React.createElement("div", {
        className: "t-column point2"
      }, "\u4E13\u5C5E\u6298\u6263"), React.createElement("div", {
        className: "t-column point3"
      }, "\u5408\u8BA1\u6263\u70B9")), React.createElement("div", {
        className: "t-body"
      }, React.createElement("ul", null, allCategoryData.map(function (item, index) {
        return React.createElement("li", {
          className: "point-item tb-item"
        }, React.createElement("div", {
          className: "t-column"
        }, item.xl || item.plmc), React.createElement("div", {
          className: "t-column"
        }, item.jckd == undefined ? '' : "".concat(item.jckd, "%")), React.createElement("div", {
          className: "t-column"
        }, item.zzzk == undefined ? '' : "".concat(item.zzzk, "%")), React.createElement("div", {
          className: "t-column"
        }, item.hjkd == undefined ? "".concat(item.thzc) : "".concat(item.hjkd, "%")));
      })))), React.createElement("div", {
        className: "remark"
      }, React.createElement("div", null, "*\u6CE8\uFF1A\u4F73\u5C3C\u7279\u53CA\u5176\u4ED6\u51FA\u5382\u4EF7\u4EA7\u54C1\u53C2\u89C1\u516C\u53F8\u53D1\u5E03\u4EF7\u683C\u8868\u3002"))), React.createElement("div", null, React.createElement("div", {
        className: "title"
      }, React.createElement("img", {
        src: "/interface/aos/contract/image/icon.png"
      }), "\u57FA\u7840\u8FD4\u5229"), React.createElement("div", {
        className: "rebate-container tb-container"
      }, React.createElement("div", {
        className: "t-head"
      }, React.createElement("div", {
        className: "t-column rebate-type"
      }, "\u8FD4\u5229\u7C7B\u578B"), React.createElement("div", {
        className: "t-column rebate-rate"
      }, "\u8FD4\u5229\u70B9\u4F4D"), React.createElement("div", {
        className: "t-column rebate-condition"
      }, "\u53D6\u5F97\u6761\u4EF6")), React.createElement("div", {
        className: "t-body"
      }, React.createElement("ul", null, allRebateData.map(function (item, index) {
        return item.fllx && React.createElement("li", {
          className: "rebate-item tb-item"
        }, React.createElement("div", {
          className: "t-column"
        }, item.fllx), React.createElement("div", {
          className: "t-column"
        }, item.fldw, "%"), React.createElement("div", {
          className: "t-column opt-column",
          onClick: function onClick() {
            lookPolicyCondition(item);
          }
        }, React.createElement("i", {
          className: item.isExpand ? "up" : "down"
        })), React.createElement("div", {
          className: item.isExpand ? "expand-info" : "expand-info hide-info",
          dangerouslySetInnerHTML: {
            __html: item.qdtj
          }
        }));
      })))), khlx != "9" && khlx != "13" && React.createElement("div", {
        className: "remark"
      }, React.createElement("div", null, "*\u6CE8\uFF1A"), React.createElement("div", null, "1\u3001\u5B63\u8FD4\u3001\u5E74\u8FD4\u9002\u7528\u4E8EA.O.\u53F2\u5BC6\u65AF\u54C1\u724C\u9664VAC\u4EE5\u5916\u7684\u5176\u4ED6\u54C1\u7C7B\u3002"), React.createElement("div", null, " 2\u3001\u73B0\u8FD4\u3001\u65E0\u9000\u8D27\u8FD4\u9002\u7528\u4E8E\u53CC\u54C1\u724C\u5168\u54C1\u7C7B\u3002"))), React.createElement("div", null, React.createElement("div", {
        className: "title"
      }, React.createElement("img", {
        src: "/interface/aos/contract/image/icon.png"
      }), "\u9500\u552E\u652F\u6301\u653F\u7B56"), React.createElement("div", {
        className: "policy-container tb-container"
      }, React.createElement("div", {
        className: "t-head"
      }, React.createElement("div", {
        className: "t-column policy-type"
      }, "\u8FD4\u5229\u7C7B\u578B"), React.createElement("div", {
        className: "t-column policy-rate"
      }, "\u8FD4\u5229\u70B9\u4F4D"), React.createElement("div", {
        className: "t-column policy-category"
      }, "\u9002\u7528\u54C1\u7C7B"), React.createElement("div", {
        className: "t-column policy-condition"
      }, "\u53D6\u5F97\u6761\u4EF6")), React.createElement("div", {
        className: "t-body"
      }, React.createElement("ul", null, React.createElement("li", {
        className: "policy-item tb-item"
      }, React.createElement("div", {
        className: "t-column"
      }, ecPolicyDataFirst.fllx), React.createElement("div", {
        className: "t-column"
      }, ecPolicyDataFirst.fldw), React.createElement("div", {
        className: "t-column"
      }, ecPolicyDataFirst.sypl), React.createElement("div", {
        className: "t-column opt-column",
        onClick: function onClick() {
          lookPolicyCondition(ecPolicyDataFirst);
        }
      }, React.createElement("i", {
        className: ecPolicyDataFirst.isExpand ? "up" : "down"
      })), React.createElement("div", {
        className: ecPolicyDataFirst.isExpand ? "expand-info" : "expand-info hide-info",
        dangerouslySetInnerHTML: {
          __html: ecPolicyDataFirst.qdtj
        }
      })), ecPolicyData2.map(function (item, index) {
        return item.fllx && React.createElement("li", {
          className: "policy-item tb-item special-item"
        }, React.createElement("div", {
          className: "t-column"
        }, React.createElement("span", null, item.fllx)), React.createElement("div", {
          style: {
            flexGrow: 1.2
          }
        }), React.createElement("div", {
          className: "t-column"
        }, item.fldw), React.createElement("div", {
          className: "t-column opt-column",
          onClick: function onClick() {
            lookPolicyCondition(item);
          }
        }, React.createElement("i", {
          className: item.isExpand ? "up" : "down"
        })), React.createElement("div", {
          className: item.isExpand ? "expand-info" : "expand-info hide-info",
          dangerouslySetInnerHTML: {
            __html: item.qdtj
          }
        }));
      }), ecPolicyData1.map(function (item, index) {
        if (index > 0) {
          return item.fllx && React.createElement("li", {
            className: "policy-item tb-item"
          }, React.createElement("div", {
            className: "t-column"
          }, item.fllx), React.createElement("div", {
            className: "t-column"
          }, item.fldw), React.createElement("div", {
            className: "t-column"
          }, item.sypl), React.createElement("div", {
            className: "t-column opt-column",
            onClick: function onClick() {
              lookPolicyCondition(item);
            }
          }, React.createElement("i", {
            className: item.isExpand ? "up" : "down"
          })), React.createElement("div", {
            className: item.isExpand ? "expand-info" : "expand-info hide-info",
            dangerouslySetInnerHTML: {
              __html: item.qdtj
            }
          }));
        }
      }), internetPolicyData2.map(function (item, index) {
        return item.fllx && React.createElement("li", {
          className: "policy-item tb-item special-item"
        }, React.createElement("div", {
          className: "t-column"
        }, item.fllx), React.createElement("div", {
          style: {
            flexGrow: 1.2
          }
        }), React.createElement("div", {
          className: "t-column"
        }, item.fldw), React.createElement("div", {
          className: "t-column opt-column",
          onClick: function onClick() {
            lookCondition(item);
          }
        }, React.createElement("i", {
          className: item.isExpand ? "up" : "down"
        })), React.createElement("div", {
          className: item.isExpand ? "expand-info" : "expand-info hide-info",
          dangerouslySetInnerHTML: {
            __html: item.qdtj
          }
        }));
      }), internetPolicyData1.map(function (item, index) {
        return item.fllx && React.createElement("li", {
          className: "policy-item tb-item"
        }, React.createElement("div", {
          className: "t-column"
        }, item.fllx), React.createElement("div", {
          className: "t-column"
        }, item.fldw), React.createElement("div", {
          className: "t-column"
        }, item.sypl), React.createElement("div", {
          className: "t-column opt-column",
          onClick: function onClick() {
            lookCondition(item);
          }
        }, React.createElement("i", {
          className: item.isExpand ? "up" : "down"
        })), React.createElement("div", {
          className: item.isExpand ? "expand-info" : "expand-info hide-info",
          dangerouslySetInnerHTML: {
            __html: item.qdtj
          }
        }));
      })))), khlx != "9" && khlx != "13" && React.createElement("div", {
        className: "remark"
      }, React.createElement("div", null, "*\u6CE8\uFF1A"), React.createElement("div", null, "1\u3001\u4EE5\u4E0A\u6D89\u53CA\u63D0\u8D27\u91D1\u989D\u4EE5\u5B63\u5EA6\u786E\u8BA4\u8FBE\u6210\u6570\u636E\u4E3A\u51C6\u3002"), React.createElement("div", null, "2\u3001\u4EE5\u4E0A\u652F\u6301\uFF0C\u5982\u5B63\u5EA6\u76EE\u6807\u672A\u8FBE\u6210\u4F46\u5E74\u5EA6\u8FBE\u6210\uFF0C\u53EF\u8865\u53D1\u5B63\u5EA6\u672A\u8FBE\u6210\u90E8\u5206\u7684\u652F\u6301\u3002")))) : null, React.createElement("div", {
        className: "checkedBox tb-container"
      }, protocol.map(function (i) {
        return React.createElement("div", null, React.createElement("input", {
          type: "checkbox",
          name: "checkbox",
          checked: i.value == '0' ? 'checked' : ''
        }), React.createElement("span", {
          style: {
            verticalAlign: 'middle',
            marginLeft: 3
          }
        }, i.label));
      })), React.createElement("div", null, React.createElement("div", null, React.createElement("div", {
        className: "title"
      }, React.createElement("img", {
        src: "/interface/aos/contract/image/icon.png"
      }), "\u5BA1\u6279\u6D41"), React.createElement("div", {
        className: "sale-policy-container tb-container"
      }, React.createElement(Steps, {
        size: "small",
        style: {
          marginTop: 35,
          padding: '12px'
        },
        current: workflowData.length - 1
      }, workflowData.map(function (item, index) {
        return React.createElement(Step, {
          title: React.createElement("div", {
            style: {
              display: 'flex',
              alignItems: 'center'
            }
          }, React.createElement("div", {
            style: {
              display: 'flex',
              width: 70,
              flexDirection: 'column',
              fontSize: '12px',
              textAlign: 'right',
              fontWeight: 400,
              transform: 'scale(0.9)'
            }
          }, React.createElement("span", null, item.operateDate), React.createElement("span", {
            style: {
              color: '#9E9E9E'
            }
          }, item.operateTime)), React.createElement("span", {
            style: {
              marginLeft: '20px'
            }
          }, "".concat(item.operatorName ? "".concat(item.nodeName || item.nodename, "-").concat(item.operatorName) : "".concat(item.nodeName || item.nodename))), React.createElement("span", {
            className: "approveStatus",
            style: {
              color: index > 0 && index < workflowData.length - 1 || item.operateType == '拒绝' ? '#00B682' : index == workflowData.length - 1 ? "#9E9E9E" : '#333'
            }
          }, item.operateType))
        });
      })))), React.createElement("div", {
        className: "title",
        style: {
          display: 'flex',
          position: 'relative'
        }
      }, React.createElement("img", {
        src: "/interface/aos/contract/image/icon.png"
      }), "\u76F8\u5173\u4EA4\u6D41", React.createElement(Button, {
        type: "primary",
        inline: true,
        size: "small",
        style: {
          marginRight: '4px',
          position: 'absolute',
          right: 0,
          background: 'linear-gradient(to right, #1578FD, #409BFF)',
          borderRadius: '10px',
          display: 'flex',
          alignItems: 'center'
        },
        onClick: this.handleDoSaveContent
      }, React.createElement("span", {
        style: {
          color: '#FFF'
        }
      }, "\u63D0\u4EA4"))), React.createElement("div", {
        className: "sale-policy-container tb-container",
        ref: this.inputRef
      }, React.createElement(TextareaItem, {
        rows: 4,
        onChange: function onChange(val) {
          return _this2.setState({
            textareaValue: val
          });
        },
        placeholder: "\u8BF7\u8F93\u5165\u76F8\u5173\u4EA4\u6D41",
        ref: this.textArea
      })), React.createElement("div", {
        className: "sale-policy-container tb-container"
      }, replyList.map(function (item, index) {
        return React.createElement("div", {
          className: "chatProcess"
        }, React.createElement("div", null, item.createUserName), React.createElement("div", {
          dangerouslySetInnerHTML: {
            __html: item.myRemark
          }
        }), React.createElement("div", null, item.showDate));
      }))), requestType == '1' && workflowData.length && workflowData[workflowData.length - 1].operateType != '拒绝' && React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: this.doSubmit
      }, React.createElement("span", {
        style: {
          color: "#FFF",
          fontSize: 16
        }
      }, "\u901A\u8FC7")), submitButtonName == '批准' && React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: this.doReject
      }, React.createElement("span", {
        style: {
          color: "#FFF",
          fontSize: 16
        }
      }, "\u62D2\u7EDD"))), requestType == '0' && creater == f_weaver_belongto_userid && workflowData.length && workflowData[workflowData.length - 1].operateType != '拒绝' && React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: this.doUrge
      }, React.createElement("span", {
        style: {
          color: "#FFF",
          fontSize: 16
        }
      }, "\u50AC\u529E"))));
    }
  }]);

  return ContractApprove;
}(React.Component), _temp)) || _class) || _class) || _class);
ecodeSDK.exp(ContractApprove);