"use strict";

var _class, _temp;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Stepper = _WeaverMobile.Stepper;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var AgreeItem = Checkbox.AgreeItem;
var Item = List.Item;
var API = ecodeSDK.imp(API);

var _ecodeSDK$imp = ecodeSDK.imp(util),
    getUrlParam = _ecodeSDK$imp.getUrlParam;

var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var ContractSign = withRouter(_class = observer(_class = (_temp =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ContractSign, _React$Component);

  function ContractSign(props) {
    var _this;

    _classCallCheck(this, ContractSign);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ContractSign).call(this, props));

    _this.init = function () {
      API.getContractFile({
        dataid: _this.state.dataid
      }).then(function (result) {
        _this.setState({
          contractFile: result
        });
      });
    };

    _this.doSubmit = function () {
      var isAgree = _this.state.isAgree;

      if (!isAgree) {
        _this.setState({
          showValid: true
        });
      } else {
        //同意签署的合同，触发合同审批流程，并跳转到已办页面
        API.createContractWf({
          dataid: _this.state.dataid
        }).then(function (result) {
          if (result.code == "200") {
            window.location.href = "/spa/workflow/static4mobileform/index.html#/req?requestid=" + result.requestId;
          } else {
            console.log("触发合同审批流程失败");
          }
        });
      }
    };

    _this.preview = function () {
      var _this$state$contractF = _this.state.contractFile,
          imagefileid = _this$state$contractF.imagefileid,
          imagefilename = _this$state$contractF.imagefilename;
      window.open("/spa/document/static4mobile/index.html#/attach/" + imagefileid);
    };

    _this.download = function () {
      var _this$state$contractF2 = _this.state.contractFile,
          imagefileid = _this$state$contractF2.imagefileid,
          imagefilename = _this$state$contractF2.imagefilename;
      window.open("/weaver/weaver.file.FileDownload?download=1&fileid=" + imagefileid);
    };

    _this.close = function () {
      var showValid = _this.state.showValid;

      _this.setState({
        showValid: !showValid
      });
    };

    _this.doNotAgree = function () {
      var showValid = _this.state.showValid;

      _this.setState({
        isAgree: false,
        showValid: !showValid
      });
    };

    _this.doAgree = function () {
      _this.setState({
        isAgree: true,
        showValid: false
      });
    };

    _this.nextStep = function () {};

    _this.state = {
      dataid: getUrlParam('dataid'),
      isAgree: false,
      showValid: false,
      contractFile: {}
    };
    return _this;
  }

  _createClass(ContractSign, [{
    key: "componentWillMount",
    value: function componentWillMount() {// 初始化渲染页面
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = '合同签署'; //初始化查询合同文件信息

      this.init();
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$state = this.state,
          isAgree = _this$state.isAgree,
          showValid = _this$state.showValid;
      return React.createElement(RouteLayout, null, React.createElement("div", {
        key: "contractSignRoutePage",
        className: "contractSign-route-layout2"
      }, React.createElement("div", {
        className: "content-box"
      }, React.createElement("div", {
        className: "title"
      }, "\u60A8\u5DF2\u5B8C\u62102023\u5E74\u5EA6\u96F6\u552E\u5408\u540C\u7B7E\u7F72"), React.createElement("div", {
        className: "content-body"
      }, React.createElement("div", {
        className: "content-body-pdf"
      }, React.createElement("div", {
        className: "pdf-icon"
      }), React.createElement("div", {
        className: "tip"
      }, "\u5DF2\u751F\u6210PDF\u9884\u89C8")), React.createElement("div", {
        className: "content-body-opt"
      }, React.createElement(Button, {
        className: "contract-opt-btn",
        type: "primary",
        size: "large",
        onClick: this.preview
      }, "\u67E5\u770B\u9884\u89C8"), React.createElement(Button, {
        className: "contract-opt-btn",
        type: "primary",
        size: "large",
        onClick: this.download
      }, "\u4E0B\u8F7D")))), showValid && React.createElement("div", {
        className: "mask"
      }, React.createElement("div", {
        className: showValid ? "valid-info-box" : "valid-info-box valid-info-hide"
      }, React.createElement("i", {
        onClick: function onClick() {
          _this2.close();
        },
        className: "close-icon"
      }), React.createElement("div", {
        className: "tip--box"
      }, React.createElement("p", {
        className: "tip-desc"
      }, "\u4E3A\u4E86\u66F4\u597D\u5730\u4FDD\u969C\u60A8\u7684\u5408\u6CD5\u6743\u76CA\uFF0C\u8BF7\u60A8\u786E\u8BA4\u5DF2\u9605\u8BFB", React.createElement("span", null, "\u300A\u96F6\u552E\u5408\u540C\u300B"), "\u5E76\u540C\u610F\u58F0\u660E\u4E2D\u7684\u6240\u6709\u6761\u6B3E\u3002")), React.createElement("div", {
        className: "isagree-btn-box"
      }, React.createElement(Button, {
        className: "not-agree-btn",
        type: "primary",
        onClick: this.doNotAgree
      }, "\u4E0D\u540C\u610F"), React.createElement(Button, {
        className: "agree-btn",
        type: "primary",
        onClick: this.doAgree
      }, "\u540C\u610F")))), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(AgreeItem, {
        checked: isAgree,
        className: "agree-check",
        onChange: function onChange(e) {
          _this2.setState({
            isAgree: e.target.checked
          });
        }
      }, "\u6211\u5DF2\u8BA4\u771F\u9605\u8BFB\u300A\u96F6\u552E\u5408\u540C\u300B\u5E76\u540C\u610F\u58F0\u660E\u4E2D\u7684\u6240\u6709\u6761\u6B3E"), React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: this.doSubmit
      }, "\u786E\u8BA4\uFF0C\u4E0B\u4E00\u6B65"))));
    }
  }]);

  return ContractSign;
}(React.Component), _temp)) || _class) || _class;

ecodeSDK.setCom('${appId}', 'ContractSignPage', ContractSign);