"use strict";

var _dec, _class, _temp;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Stepper = _WeaverMobile.Stepper,
    Drawer = _WeaverMobile.Drawer;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var Item = List.Item;
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var SaleChannel = (_dec = inject("saleChannelStore"), withRouter(_class = _dec(_class = observer(_class = (_temp =
/*#__PURE__*/
function (_React$Component) {
  _inherits(SaleChannel, _React$Component);

  function SaleChannel(props) {
    var _this;

    _classCallCheck(this, SaleChannel);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(SaleChannel).call(this, props));

    _this.handleReset = function () {//重置方法
    };

    _this.handleSubmit = function () {//提交表单内容并验证
    };

    return _this;
  }

  _createClass(SaleChannel, [{
    key: "componentWillMount",
    value: function componentWillMount() {
      // 初始化渲染页面
      var saleChannelStore = this.props.saleChannelStore;
      saleChannelStore.initData();
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = '操作渠道确认';
    }
  }, {
    key: "render",
    value: function render() {
      var _ecodeSDK$imp = ecodeSDK.imp(util),
          renderNoright = _ecodeSDK$imp.renderNoright,
          renderLoading = _ecodeSDK$imp.renderLoading;

      var saleChannelStore = this.props.saleChannelStore;
      var loading = saleChannelStore.loading,
          hasRight = saleChannelStore.hasRight,
          ischeck = saleChannelStore.ischeck,
          html = saleChannelStore.html,
          kaChecked = saleChannelStore.kaChecked,
          updateKALS = saleChannelStore.updateKALS,
          zjChecked = saleChannelStore.zjChecked,
          updateZJQD = saleChannelStore.updateZJQD,
          jzChecked = saleChannelStore.jzChecked,
          updateJZZC = saleChannelStore.updateJZZC,
          jxChecked = saleChannelStore.jxChecked,
          updateJXFS = saleChannelStore.updateJXFS,
          showValid = saleChannelStore.showValid,
          doSubmit = saleChannelStore.doSubmit,
          closeValid = saleChannelStore.closeValid,
          nextPage = saleChannelStore.nextPage; // 从后台取数据 和 方法

      if (!hasRight && !loading) {
        // 无权限处理
        return renderNoright();
      }

      return React.createElement(RouteLayout, null, React.createElement("div", {
        key: "saleChannelRoutePage",
        className: "salechannel-route-layout"
      }, React.createElement("div", {
        className: "sale-channel-container"
      }, React.createElement("div", {
        className: "sale-channel-title"
      }, "\u8BF7\u9009\u62E9\u8D35\u516C\u53F8\u7684\u9500\u552E\u6E20\u9053"), React.createElement("i", {
        className: "list-icon"
      }), React.createElement("div", {
        className: "sale-channel-item",
        style: {
          marginTop: 35
        }
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-channel-checkbox",
        checked: kaChecked,
        onChange: function onChange() {
          updateKALS();
        }
      }, "\u5F53\u5730\u6838\u5FC3\u8FDE\u9501\u6E20\u9053")), React.createElement("div", {
        className: "sale-channel-item"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-channel-checkbox",
        checked: zjChecked,
        onChange: function onChange() {
          updateZJQD();
        }
      }, "\u81EA\u5EFA\u6E20\u9053")), React.createElement("div", {
        className: "sale-channel-item"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-channel-checkbox",
        checked: jzChecked,
        onChange: function onChange() {
          updateJZZC();
        }
      }, "\u5BB6\u88C5\u4E3B\u6750\u5385\u548C\u8BBE\u8BA1\u5E08")), React.createElement("div", {
        className: "sale-channel-item"
      }, React.createElement(CheckboxItem, {
        key: "",
        className: "sale-channel-checkbox",
        checked: jxChecked,
        onChange: function onChange() {
          updateJXFS();
        }
      }, "\u7ECF\u9500\u5206\u9500"))), React.createElement("div", {
        className: ischeck ? "valid-info-box" : "valid-info-box valid-info-hide"
      }, React.createElement("i", {
        onClick: closeValid,
        className: "close-icon"
      }), React.createElement("div", {
        className: "valid-info",
        dangerouslySetInnerHTML: {
          __html: html
        }
      }), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: closeValid
      }, "\u786E\u5B9A"))), React.createElement("div", {
        className: showValid ? "valid-info-box" : "valid-info-box valid-info-hide"
      }, React.createElement("i", {
        onClick: closeValid,
        className: "close-icon"
      }), React.createElement("div", {
        className: "valid-info",
        dangerouslySetInnerHTML: {
          __html: html
        }
      }), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: nextPage
      }, "\u4E0B\u4E00\u6B65"))), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: doSubmit
      }, "\u4E0B\u4E00\u6B65")), (showValid || ischeck) && React.createElement(Drawer, {
        className: "my-drawer",
        style: {
          minHeight: document.documentElement.clientHeight,
          zIndex: 10
        },
        enableDragHandle: true,
        contentStyle: {
          color: '#A6A6A6',
          textAlign: 'center',
          paddingTop: 42
        },
        open: showValid || ischeck,
        onOpenChange: closeValid,
        position: "bottom"
      })));
    }
  }]);

  return SaleChannel;
}(React.Component), _temp)) || _class) || _class) || _class);
ecodeSDK.exp(SaleChannel);