"use strict";

var _class;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _mobxReact = mobxReact,
    inject = _mobxReact.inject,
    observer = _mobxReact.observer;
var _mobx = mobx,
    toJS = _mobx.toJS;
var _WeaverMobile = WeaverMobile,
    Button = _WeaverMobile.Button,
    Bubble = _WeaverMobile.Bubble,
    Checkbox = _WeaverMobile.Checkbox,
    InputItem = _WeaverMobile.InputItem,
    List = _WeaverMobile.List,
    Stepper = _WeaverMobile.Stepper;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var _ReactRouterDom = ReactRouterDom,
    withRouter = _ReactRouterDom.withRouter;
var CheckboxItem = Checkbox.CheckboxItem;
var AgreeItem = Checkbox.AgreeItem;
var Item = List.Item;
var ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

var ComProfile = withRouter(_class = observer(_class =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ComProfile, _React$Component);

  function ComProfile(props) {
    _classCallCheck(this, ComProfile);

    return _possibleConstructorReturn(this, _getPrototypeOf(ComProfile).call(this, props));
  }

  _createClass(ComProfile, [{
    key: "componentWillMount",
    value: function componentWillMount() {// 初始化渲染页面
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      document.title = 'A.O.史密斯战略方向';
    }
  }, {
    key: "doSubmit",
    value: function doSubmit() {
      location.href = "/spa/custom/static4mobile/index.html#/cs/app/ee2aa0f63bf14bf39a6dab7bec4298f9_SalePlanPage";
    }
  }, {
    key: "render",
    value: function render() {
      return React.createElement("div", {
        key: "comProfileRoutePage",
        className: "comprofile-route-layout"
      }, React.createElement("img", {
        className: "poster",
        src: "/interface/aos/contract/image/poster2.png"
      }), React.createElement("div", {
        className: "content-box"
      }, React.createElement("i", {
        className: "illustration"
      }), React.createElement("div", {
        className: "com-info"
      }, React.createElement("p", null, "A.O.\u53F2\u5BC6\u65AF\u81F4\u529B\u4E8E\u6253\u9020\u667A\u6167\u751F\u6001\u3001\u6280\u672F\u9886\u5148\uFF0C\u4E3A\u6D88\u8D39\u8005\u63D0\u4F9B\u70ED\u6C34\u3001\u51C0\u6C34\u3001\u91C7\u6696\u65B0\u98CE\u3001\u667A\u6167\u4E92\u8054\u7684\u89E3\u51B3\u65B9\u6848\uFF0C\u5E26\u6765\u7F8E\u597D\u751F\u6D3B\u7684\u5353\u8D8A\u516C\u53F8\u3002"), React.createElement("p", null, "2023\u5E74\u5C06\u805A\u7126\u4E8E\u4ECE\u5168\u7403\u6C34\u79D1\u6280\u516C\u53F8\u5230\u597D\u98CE\u597D\u6C34\u667A\u6167\u96C6\u6210\u7684\u8212\u9002\u5BB6\u5C45\u9886\u57DF\u7684\u8F6C\u578B\u3002\u597D\u98CE\u597D\u6C34\u667A\u6167\u4E92\u8054\u7684\u6218\u7565\u843D\u5730\u8981\u4E0E\u8BF8\u4F4D\u540C\u76DF\u643A\u624B\u5E76\u8FDB\u3002")), React.createElement("div", {
        className: "nextstep"
      }, React.createElement(Button, {
        className: "nextstep-btn",
        type: "primary",
        size: "large",
        onClick: this.doSubmit
      }, "\u4E0B\u4E00\u6B65"))));
    }
  }]);

  return ComProfile;
}(React.Component)) || _class) || _class;

ecodeSDK.setCom('${appId}', 'ComProfilePage', ComProfile);