"use strict";

var isRun = false;
var lockBtn = false;
var didLoadJs = false;
var config = ecodeSDK.getCom('${appId}', 'config');

var runScript = function runScript() {
  //代码块钩子，类似放在代码块中或者jquery.ready
  //可操作WfForm，以及部分表单dom hiden、ReactDOM.render
  ecodeSDK.load({
    id: '${appId}',
    noCss: true,
    cb: function cb() {}
  });
  isRun = true;
};

ecodeSDK.rewriteApiDataQueueSet({
  fn: function fn(url, param, data) {
    if (url.indexOf("/api/workflow/reqform/rightMenu") !== -1) {
      var workflowid = WfForm.getBaseInfo().workflowid;

      if (workflowid == '138') {
        var menu = data.rightMenus.filter(function (v) {
          if (v.menuName != "保存") {
            return v;
          }
        });
        console.log('menu', menu);
        data.rightMenus = menu;
      }
    }

    return data;
  }
});
ecodeSDK.overwritePropsFnQueueMapSet('WeaCustomNew', {
  fn: function fn(newProps) {
    var hash = window.location.hash;
    if (!hash.startsWith('#/main/workflow/req')) return; //判断页面地址

    if (!didLoadJs) lockBtn = true; // 锁定按钮，避免没有拦截到用户提交动作(针对注册钩子事件，例如WfForm.registerAction)

    if (!ecCom.WeaTools.Base64) return; //完整组件库加载完成

    if (!WfForm) return; //表单sdk加载完成

    var baseInfo = WfForm.getBaseInfo();
    if (!wfform.getGlobalStore().JSComplete) return;
    if (!baseInfo) return;
    var workflowid = baseInfo.workflowid;
    if (workflowid != 138) return;
    if (isRun) return; //执行过一次就不执行

    runScript(); //执行代码块
  }
});