const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper,Toast} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;
const API = ecodeSDK.imp(API);

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@observer
class StartPage extends React.Component {
  constructor(props) {
    super(props);  
  }
  componentWillMount() { // 初始化渲染页面

  }

  componentDidMount(){
    document.title = '首页'
  }

  doSubmit(){

    //window.location.href="/spa/custom/static4mobile/index.html#/cs/app/75dea2eb01634f719b8409811a5ee912_ComProfilePage";

    API.checkCreateRight().then(result => {
      if(result.hasRight){
        window.location.href="/spa/custom/static4mobile/index.html#/cs/app/75dea2eb01634f719b8409811a5ee912_ComProfilePage";
      }else{
        Toast.info("您的合同正在审批中，审批进程查询入口：（1）企业微信-工作台-我的待办-我的申请；（2）艾办公-我的待办-我的申请")
        return
      }
    });
    
    
  }


  render() {

    return (

          <div key="startRoutePage" className="start-route-layout"  style={{background: "url(/interface/aos/contract/image/background.png) no-repeat",backgroundSize:'100% 100%'}} >
            <h1>2023年度零售合同签约</h1>
            <div className="nextstep">
              <Button className="nextstep-btn" type="primary" size="large" onClick={this.doSubmit} >现在开始</Button>
            </div>
          </div>

    )
  }
}


ecodeSDK.setCom('${appId}','StartPage',StartPage);