const { observable, action, toJS } = mobx;
const { Form, RouteLayout } = WeaverMobilePage;
const API = ecodeSDK.imp(API);

class MainContractStore {

  @observable qlywStr = '';
  @observable dataid = '';
  


  @action 
  initData = () => {
    this.dataid = this.getUrl('dataid');
  }

  getUrl(name) {
    var reg = new RegExp("(\\?|\&)" + name + "=([^&]*)(\&|$)", "i");
    var r = window.location.href.match(reg);
    if (r != null) return unescape(r[2]); return null;
  }
  @action
  getContractText = (params)=>{
     API.getContractText(params).then(action(result => {
     this.qlywStr = result.qlyw;
    }));
  } 

}

ecodeSDK.exp(MainContractStore);

