"use strict";

var _WeaverMobile = WeaverMobile,
    Tools = _WeaverMobile.Tools; //查询供应商信息

var getCustomerInfo = function getCustomerInfo(params) {
  var options = {
    url: '/interface/aos/contract/getCustomerInfo.jsp',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; //查询热水净水及厨房生态数据


var getKitchenECData = function getKitchenECData(params) {
  var options = {
    url: '/interface/aos/contract/getKitchenECData.jsp',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; //查询冷暖新风及智慧互联数据


var getSmartInternetData = function getSmartInternetData(params) {
  var options = {
    url: '/interface/aos/contract/getSmartInternetData.jsp',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; //查询通用返利条款数据


var getCommonPolicyData = function getCommonPolicyData(params) {
  var options = {
    url: '/interface/aos/contract/getCommonPolicyData.jsp',
    method: 'GET',
    params: params
  };
  return Tools.callApi(options);
}; //生产合同文件


var generateContractFile = function generateContractFile(params) {
  var options = {
    url: '/interface/aos/contract/generateContractFile.jsp',
    method: 'POST',
    params: params
  };
  return Tools.callApi(options);
};

var API = {
  getCustomerInfo: getCustomerInfo,
  getKitchenECData: getKitchenECData,
  getSmartInternetData: getSmartInternetData,
  getCommonPolicyData: getCommonPolicyData,
  generateContractFile: generateContractFile
};
ecodeSDK.exp(API);