const { Tools } = WeaverMobile;


//查询供应商信息
const  getCustomerInfo = params => {
  const options = {
    url: '/interface/aos/contract/getCustomerInfo.jsp',
    method:'GET',
    params
  }
  return Tools.callApi(options);
};



//查询热水净水及厨房生态数据
const  getKitchenECData = params => {
  const options = {
    url: '/interface/aos/contract/getKitchenECData.jsp',
    method:'GET',
    params
  }
  return Tools.callApi(options);
};

//查询冷暖新风及智慧互联数据
const  getSmartInternetData = params => {
  const options = {
    url: '/interface/aos/contract/getSmartInternetData.jsp',
    method:'GET',
    params
  }
  return Tools.callApi(options);
};


//查询通用返利条款数据
const  getCommonPolicyData = params => {
  const options = {
    url: '/interface/aos/contract/getCommonPolicyData.jsp',
    method:'GET',
    params
  }
  return Tools.callApi(options);
};


//生产合同文件
const  generateContractFile = params => {
  const options = {
    url: '/interface/aos/contract/generateContractFile.jsp',
    method:'POST',
    params
  }
  return Tools.callApi(options);
};

const API = {
  getCustomerInfo,
  getKitchenECData,
  getSmartInternetData,
  getCommonPolicyData,
  generateContractFile

}


ecodeSDK.exp(API);





