const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;
const BrandPageStore = ecodeSDK.imp(BrandPageStore);
const BrandPageStoreData =new BrandPageStore();
const API = ecodeSDK.imp(API);

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组
@withRouter
@observer
class BrandPage extends React.Component {
  constructor(props) {
    super(props);  
  }
  componentWillMount() { // 初始化渲染页面

  }

  componentDidMount(){
    BrandPageStoreData.getContractText();
    document.title = '品牌规范使用协议'
    BrandPageStoreData.initData()

  }

  doSubmit(dataid){
    API.updateContractSummary({dataid}).then((res)=>{
      const{code = 0} = res;
      if(code == 200){
       window.location.href="/spa/custom/static4mobile/index.html#/cs/app/0d60b6d722014ee295ca874a6c7ff5a7_OperationPage"+"?dataid="+dataid;
      }
    });
  }


  render() {
    const {ppgfsyxyStr,dataid} = BrandPageStoreData;
    return (

        <RouteLayout>
        <div className='brandPage-layout' style={{display:'flex',flexDirection:'column',height:'calc(100vh)',background:'#FFF'}}>
          <div dangerouslySetInnerHTML={{ __html: ppgfsyxyStr }} style={{flex:1,overflow:'auto'}}>
          </div>
          <div className="nextstep" style={{height:50}}>
            <Button className="nextstep-btn" type="primary" size="large" onClick={this.doSubmit.bind(this,dataid)}>同意签署，下一步</Button>
          </div>
        </div>
        </RouteLayout>

    )
  }
}


ecodeSDK.setCom('${appId}','BrandPage',BrandPage);