const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;
const HonestyPageStore = ecodeSDK.imp(HonestyPageStore);
const HonestyPageStoreData =new HonestyPageStore();
const API = ecodeSDK.imp(API);

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组
@withRouter
@observer
class HonestyPage extends React.Component {
  constructor(props) {
    super(props);  
  }
  componentWillMount() { // 初始化渲染页面

  }

  componentDidMount(){
    HonestyPageStoreData.getContractText();
    document.title = '诚信廉洁共建协议书';
    HonestyPageStoreData.initData();

  }

  doSubmit(dataid){
    API.updateContractSummary({dataid}).then((res)=>{
      const{code = 0} = res;
      if(code == 200){
       window.location.href="/spa/custom/static4mobile/index.html#/cs/app/ab04e00c03bd4b469447f01f0bcc0e63_ContractOverviewPage"+"?dataid="+dataid;
      }
    });
  }

  render() {
    const {cxljgjxysStr,dataid} = HonestyPageStoreData;
    return (

        <RouteLayout>
        <div className='honestyPage_layout' style={{display:'flex',flexDirection:'column',height:'calc(100vh)',background:'#FFF'}}>
          <div dangerouslySetInnerHTML={{ __html: cxljgjxysStr }} style={{flex:1,overflow:'auto'}}>
          </div>
          <div className="nextstep" style={{height:50}}>
            <Button className="nextstep-btn" type="primary" size="large" onClick={this.doSubmit.bind(this,dataid)}>同意签署，下一步</Button>
          </div>
        </div>
        </RouteLayout>

    )
  }
}


ecodeSDK.setCom('${appId}','HonestyPage',HonestyPage);