"use strict";

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var _this = null;

var waitWmLoad = function waitWmLoad(props, params) {
  var acParams = {
    appId: '${appId}',
    name: 'SalePlanPage',
    //模块名称
    params: params,
    //参数
    isPage: true,
    //是否是路由页面
    noCss: false //是否禁止单独加载css，通常为了减少css数量，css默认前置加载
    //异步加载${appId}下的子模块MobilePage1

  };

  var WaitWeaverMobileLoad =
  /*#__PURE__*/
  function (_React$Component) {
    _inherits(WaitWeaverMobileLoad, _React$Component);

    function WaitWeaverMobileLoad(props) {
      var _this2;

      _classCallCheck(this, WaitWeaverMobileLoad);

      _this2 = _possibleConstructorReturn(this, _getPrototypeOf(WaitWeaverMobileLoad).call(this, props));
      _this2.state = {
        isLoad: false
      };
      _this = _assertThisInitialized(_this2);
      return _this2;
    }

    _createClass(WaitWeaverMobileLoad, [{
      key: "setIsLoad",
      value: function setIsLoad(b) {
        this.setState({
          isLoad: b
        });
      }
    }, {
      key: "render",
      value: function render() {
        if (!this.state.isLoad) return React.createElement("div", null);
        var NewCom = ecodeSDK.getAsyncCom(acParams);
        return React.createElement(NewCom, null);
      }
    }]);

    return WaitWeaverMobileLoad;
  }(React.Component);

  return WaitWeaverMobileLoad;
};

ecodeSDK.onWeaverMobileLoadQueue.push(function () {
  _this && _this.setIsLoad(true);
}); //注册和绑定新页面前端实现接口

ecodeSDK.rewriteMobileRouteQueue.push({
  fn: function fn(params) {
    var Com = params.Com,
        props = params.props,
        state = params.state,
        context = params.context;
    var mpParams = {
      path: '/cs/app/:uuid',
      //路由地址
      appId: '${appId}',
      name: 'SalePlanPage',
      //路由名称
      props: props,
      state: state
    };

    if (ecodeSDK.checkMobilePath(mpParams)) {
      return waitWmLoad(props, params);
    }

    return null;
  },
  order: 10,
  desc: '销售计划页面'
}); //访问地址： /spa/custom/static4mobile/index.html#/cs/app/ee2aa0f63bf14bf39a6dab7bec4298f9_SalePlanPage
// var script = document.createElement("script")
// script.src = "/interface/aos/contract/js/mui.min.js"
// document.getElementsByTagName('head')[0].appendChild(script)
// var link = document.createElement("link")
// link.href = "/interface/aos/contract/js/mui.min.css"
// document.getElementsByTagName('head')[0].appendChild(link)
// // 异步引入lodash（引用外部资源）
// ecodeSDK.loadjs(["/interface/aos/contract/js/mui.min.js"], 'mui', {
//   success: (...v) => {
//     ecodeSDK.loadjs.ready('mui', (...v) => {
//         console.log(mui)
//         mui.init({
//             indicators: false, //是否显示滚动条
//         });
//     })
//   }
// });