let _this = null;
const waitWmLoad = (props,params) => {
    const acParams = {
        appId:'${appId}',
        name:'SalePlanPage', //模块名称
        params, //参数
        isPage:true, //是否是路由页面
        noCss:false //是否禁止单独加载css，通常为了减少css数量，css默认前置加载
      }
      //异步加载${appId}下的子模块MobilePage1
      class WaitWeaverMobileLoad extends React.Component {
        constructor(props) {
          super(props);
          this.state = {
            isLoad:false
          }
          _this = this;
        }
        setIsLoad(b) {
          this.setState({
            isLoad:b
          });
        }
        render() {
          if(!this.state.isLoad) return (<div />);
          const NewCom = ecodeSDK.getAsyncCom(acParams);
          return (<NewCom />);
        }
      }
      return WaitWeaverMobileLoad;
}
ecodeSDK.onWeaverMobileLoadQueue.push(()=>{
  _this&&_this.setIsLoad(true);
});
//注册和绑定新页面前端实现接口
ecodeSDK.rewriteMobileRouteQueue.push({
  fn:(params)=>{
    const {Com,props,state,context} = params;
    const mpParams = {
      path:'/cs/app/:uuid', //路由地址
      appId:'${appId}',
      name:'SalePlanPage', //路由名称
      props,
      state
    }
    if(ecodeSDK.checkMobilePath(mpParams)) {
      return waitWmLoad(props,params);
    }
    return null;
  },
  order:10,
  desc:'销售计划页面'
});

//访问地址： /spa/custom/static4mobile/index.html#/cs/app/ee2aa0f63bf14bf39a6dab7bec4298f9_SalePlanPage



// var script = document.createElement("script")
// script.src = "/interface/aos/contract/js/mui.min.js"
// document.getElementsByTagName('head')[0].appendChild(script)

// var link = document.createElement("link")
// link.href = "/interface/aos/contract/js/mui.min.css"
// document.getElementsByTagName('head')[0].appendChild(link)




// // 异步引入lodash（引用外部资源）
// ecodeSDK.loadjs(["/interface/aos/contract/js/mui.min.js"], 'mui', {
//   success: (...v) => {
//     ecodeSDK.loadjs.ready('mui', (...v) => {
//         console.log(mui)
//         mui.init({
//             indicators: false, //是否显示滚动条
//         });
//     })
//   }
// });