const { ActivityIndicator, Result } = WeaverMobile;

// 页面加载中效果处理
const renderLoading = (loading) => (
  <div className="demo-loading">
    <ActivityIndicator size="large" />
     <div style = {{marginTop:18}}>Loading...</div>
  </div>
)
  
// 无权限处理
const renderNoright = () => (
     <Result title='对不起，您暂时没有权限!'/>
)

// 暂无数据处理
const renderNoData = () => (
  <Result title='暂无数据'/>
)

const util = {
  renderNoData,
  renderNoright,
  renderLoading,
}

ecodeSDK.exp(util);




