"use strict";

var _class, _descriptor, _descriptor2, _descriptor3, _descriptor4, _descriptor5, _descriptor6, _descriptor7, _descriptor8, _descriptor9, _descriptor10, _temp;

function _instanceof(left, right) { if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) { return !!right[Symbol.hasInstance](left); } else { return left instanceof right; } }

function _initializerDefineProperty(target, property, descriptor, context) { if (!descriptor) return; Object.defineProperty(target, property, { enumerable: descriptor.enumerable, configurable: descriptor.configurable, writable: descriptor.writable, value: descriptor.initializer ? descriptor.initializer.call(context) : void 0 }); }

function _classCallCheck(instance, Constructor) { if (!_instanceof(instance, Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) { var desc = {}; Object.keys(descriptor).forEach(function (key) { desc[key] = descriptor[key]; }); desc.enumerable = !!desc.enumerable; desc.configurable = !!desc.configurable; if ('value' in desc || desc.initializer) { desc.writable = true; } desc = decorators.slice().reverse().reduce(function (desc, decorator) { return decorator(target, property, desc) || desc; }, desc); if (context && desc.initializer !== void 0) { desc.value = desc.initializer ? desc.initializer.call(context) : void 0; desc.initializer = undefined; } if (desc.initializer === void 0) { Object.defineProperty(target, property, desc); desc = null; } return desc; }

function _initializerWarningHelper(descriptor, context) { throw new Error('Decorating class property failed. Please ensure that ' + 'proposal-class-properties is enabled and set to use loose mode. ' + 'To use proposal-class-properties in spec mode with decorators, wait for ' + 'the next major version of decorators in stage 2.'); }

var _mobx = mobx,
    observable = _mobx.observable,
    action = _mobx.action,
    toJS = _mobx.toJS;
var _WeaverMobilePage = WeaverMobilePage,
    Form = _WeaverMobilePage.Form,
    RouteLayout = _WeaverMobilePage.RouteLayout;
var API = ecodeSDK.imp(API);

var _ecodeSDK$imp = ecodeSDK.imp(util),
    getUrlParam = _ecodeSDK$imp.getUrlParam;

var RebateClauseStore = (_class = (_temp = function RebateClauseStore() {
  _classCallCheck(this, RebateClauseStore);

  _initializerDefineProperty(this, "loading", _descriptor, this);

  _initializerDefineProperty(this, "hasRight", _descriptor2, this);

  _initializerDefineProperty(this, "showValid", _descriptor3, this);

  _initializerDefineProperty(this, "data", _descriptor4, this);

  _initializerDefineProperty(this, "dataid", _descriptor5, this);

  _initializerDefineProperty(this, "agentInfo", _descriptor6, this);

  _initializerDefineProperty(this, "initData", _descriptor7, this);

  _initializerDefineProperty(this, "doSubmit", _descriptor8, this);

  _initializerDefineProperty(this, "lookCondition", _descriptor9, this);

  _initializerDefineProperty(this, "getCommonPolicyData", _descriptor10, this);
}, _temp), (_descriptor = _applyDecoratedDescriptor(_class.prototype, "loading", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return true;
  }
}), _descriptor2 = _applyDecoratedDescriptor(_class.prototype, "hasRight", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return true;
  }
}), _descriptor3 = _applyDecoratedDescriptor(_class.prototype, "showValid", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return false;
  }
}), _descriptor4 = _applyDecoratedDescriptor(_class.prototype, "data", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return [];
  }
}), _descriptor5 = _applyDecoratedDescriptor(_class.prototype, "dataid", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return '';
  }
}), _descriptor6 = _applyDecoratedDescriptor(_class.prototype, "agentInfo", [observable], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    return {};
  }
}), _descriptor7 = _applyDecoratedDescriptor(_class.prototype, "initData", [action], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    var _this = this;

    return function () {
      _this.dataid = getUrlParam('dataid');
      API.getCustomerInfo().then(action(function (result) {
        var agentInfo = result.agentInfo;
        _this.agentInfo = agentInfo;
      }));
    };
  }
}), _descriptor8 = _applyDecoratedDescriptor(_class.prototype, "doSubmit", [action], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    var _this2 = this;

    return function () {
      location.href = "/spa/custom/static4mobile/index.html#/cs/app/a6184d9402f24ec7b53ad8f704e2eda1_MainContractPage?dataid=" + _this2.dataid;
    };
  }
}), _descriptor9 = _applyDecoratedDescriptor(_class.prototype, "lookCondition", [action], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    var _this3 = this;

    return function (item) {
      _this3.data.map(function (curdata, index) {
        if (curdata.fllx == item.fllx) {
          curdata.isExpand = !curdata.isExpand;
          return curdata;
        }
      });
    };
  }
}), _descriptor10 = _applyDecoratedDescriptor(_class.prototype, "getCommonPolicyData", [action], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function initializer() {
    var _this4 = this;

    return function () {
      API.getCommonPolicyData().then(action(function (result) {
        _this4.data = result;
      }));
    };
  }
})), _class);
ecodeSDK.exp(RebateClauseStore);